<?php
/**
 * @package Agronomics Pro* Setup the WordPress core custom functions feature.
 *
*/

add_action('agronomics_pro_optionsframework_custom_scripts', 'agronomics_pro_optionsframework_custom_scripts');
function agronomics_pro_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'agronomics-pro' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonial','agronomics-pro'),
		'singular_name'      => __( 'Testimonial','agronomics-pro'),
		'add_new'            => __( 'Add Testimonial','agronomics-pro'),
		'add_new_item'       => __( 'Add New Testimonial','agronomics-pro'),
		'edit_item'          => __( 'Edit Testimonial','agronomics-pro'),
		'new_item'           => __( 'New Testimonial','agronomics-pro'),
		'all_items'          => __( 'All Testimonials','agronomics-pro'),
		'view_item'          => __( 'View Testimonial','agronomics-pro'),
		'search_items'       => __( 'Search Testimonials','agronomics-pro'),
		'not_found'          => __( 'No testimonials found','agronomics-pro'),
		'not_found_in_trash' => __( 'No testimonials found in the Trash','agronomics-pro'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );

// add meta box to testimonials
add_action( 'admin_init', 'my_testimonials_admin_function' );
function my_testimonials_admin_function() {
    add_meta_box( 'testimonials_meta_box',
        'Testimonials Info',
        'display_testimonials_meta_box',
        'testimonials', 'normal', 'high'
    );
}
// add meta box form to testimonials
function display_testimonials_meta_box( $testimonials ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $testimonials->ID, 'designation', true ) );   
    ?>
    <table width="100%">
        <tr>
            <td width="20%">client info (designation) </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>      
    </table>
    <?php      
}
// save testimonials meta box form data
add_action( 'save_post', 'add_testimonials_fields_function', 10, 2 );
function add_testimonials_fields_function( $testimonials_id, $testimonials ) {
    // Check post type for testimonials
    if ( $testimonials->post_type == 'testimonials' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $testimonials_id, 'designation', $_POST['designation'] );
        }        
    }
}


//Testimonials function
function testimonials_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	'title' => '',	
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="clienttestiminials"><div class="owl-carousel">';	
		while ( have_posts() ) : the_post();
		if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
		}else{
				$imgUrl = get_template_directory_uri().'/images/no-image.jpg';
		}
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		  		
			$testimonialoutput .= '			     
				  <div class="item">
				  <div class="tmthumb"><img src="'.$imgUrl.'" alt=" " /></div>	
				    <h2 class="section_title">'.$title.'</h2>				   
					 <p>'.wp_trim_words( get_the_content(), of_get_option('testimonialsexcerptlength'), '' ).'</p>
					 <h6>'.get_the_title().'</h6>	
					 <cite>'.$designation.'</cite>
				</div>';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = '<div id="clienttestiminials"><div class="owl-carousel"> 
              
               <div class="item">				
				 <p>Donec ut ex ac nulla pellentesque mollis in a enim Suspendisse suscipit velit id ultricies auctor. Duis turpis arcu, aliquet sed sollicitudin seduisque velit nibh.Donec ut ex ac nulla&#8230;</p>
					 <h6>Stuart Joseph</h6>	
					 <span>Happy Customer</span>
				</div>	
							     
				 <div class="item">				
				 <p>Donec ut ex ac nulla pellentesque mollis in a enim Suspendisse suscipit velit id ultricies auctor. Duis turpis arcu, aliquet sed sollicitudin seduisque velit nibh.Donec ut ex ac nulla&#8230;</p>
					 <h6>Stuart Joseph</h6>	
					 <span>Happy Customer</span>
				</div>
				
				<div class="item">				
				 <p>Donec ut ex ac nulla pellentesque mollis in a enim Suspendisse suscipit velit id ultricies auctor. Duis turpis arcu, aliquet sed sollicitudin seduisque velit nibh.Donec ut ex ac nulla&#8230;</p>
					 <h6>Stuart Joseph</h6>	
					 <span>Happy Customer</span>
				</div>
				
				<div class="item">				
				 <p>Donec ut ex ac nulla pellentesque mollis in a enim Suspendisse suscipit velit id ultricies auctor. Duis turpis arcu, aliquet sed sollicitudin seduisque velit nibh.Donec ut ex ac nulla&#8230;</p>
					 <h6>Stuart Joseph</h6>	
					 <span>Happy Customer</span>
				</div>
			               
           
  </div></div>';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );


//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'agronomics-pro' ),
		'singular_name'      => __( 'Our Team', 'agronomics-pro' ),
		'add_new'            => __( 'Add New', 'agronomics-pro' ),
		'add_new_item'       => __( 'Add New Team Member', 'agronomics-pro' ),
		'edit_item'          => __( 'Edit Team Member', 'agronomics-pro' ),
		'new_item'           => __( 'New Member', 'agronomics-pro' ),
		'all_items'          => __( 'All Members', 'agronomics-pro' ),
		'view_item'          => __( 'View Members', 'agronomics-pro' ),
		'search_items'       => __( 'Search Team Members', 'agronomics-pro' ),
		'not_found'          => __( 'No Team members found', 'agronomics-pro' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'agronomics-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );

// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );   
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>        
    </table>
    <?php                        
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for Team Members
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }      
    }
}

function our_teamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
		'excerptlength' => '10',
		'button' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); 
	$bposts = '<div class="mis-stage">
      
        <ol class="mis-slider">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$posts = query_posts( $args );
	$count = count($posts);
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'team-thumbnail');
				$imgUrl = $large_imgSrc[0];
		    }else{
				$imgUrl = get_template_directory_uri().'/images/no-team-image.jpg';
		    }
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$bposts .= '<li class="mis-slide">             
                <a href="'.get_permalink().'" class="mis-container">
                     <figure> 
					    <img src="'.$imgUrl.'" alt=" " />					                   
                        <h5>'.get_the_title().'</h5>
						 <span>'.$designation.'</span>
                    </figure>
                </a>
            </li>';
		}
	}else{
		$bposts .= 'There are not found our team members';
	}
	wp_reset_query();
	$bposts .= '</ol></div><div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'our-team', 'our_teamposts_func' );

// Social Icon Shortcodes
function agronomics_pro_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','agronomics_pro_social_area');

function agronomics_pro_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','agronomics_pro_social');


function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );	
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';		
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>													
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p>			
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p>";
	$cform .= "<p><span class=\"capcode\">$sumStr</span><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );

//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','agronomics-pro' ),
		'singular_name'      => __( 'Photo Gallery','agronomics-pro' ),
		'add_new'            => __( 'Add New','agronomics-pro' ),
		'add_new_item'       => __( 'Add New Image ','agronomics-pro' ),
		'edit_item'          => __( 'Edit Image','agronomics-pro' ),
		'new_item'           => __( 'New Image','agronomics-pro' ),
		'all_items'          => __( 'All Images','agronomics-pro' ),
		'view_item'          => __( 'View Image','agronomics-pro' ),
		'search_items'       => __( 'Search Images','agronomics-pro' ),
		'not_found'          => __( 'No images found','agronomics-pro' ),
		'not_found_in_trash' => __( 'No images found in the Trash','agronomics-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_position' => 23,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	if( $filter == 'true' ){
		$pfStr .= '<ul class="portfoliofilter clearfix"><li><a class="selected" data-filter="*" href="#">'.of_get_option('galleryshowallbtn').'</a><span></span></li>';
		$categories = get_categories( array('taxonomy' => 'gallerycategory') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a data-filter=".'.$category->slug.'" href="#">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul>';
	}

	$pfStr .= '<div class="row threecol portfoliowrap"><div class="portfolio">';
	$j=0;
	query_posts('post_type=photogallery&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	$j++;
		$videoUrl = get_post_meta( get_the_ID(), 'video_file_url', true);
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
		$slugAr = array();
		foreach( $terms as $tv ){
			$slugAr[] = $tv->slug;
		}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/no-image.jpg';
		}
		$pfStr .= '<div class="entry '.implode(' ', $slugAr).'">
						<div class="holderwrap">
							 <figure><a href="'.( ($videoUrl) ? $videoUrl : $imgSrc[0] ).'" data-rel="prettyPhoto[bkpGallery]"><img src="'.$imgSrc[0].'"/>
							 <h5>'.get_the_title().'</h5></a>	
							 </figure>						
						</div>
					</div>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</div></div>';
	$pfStr .= '</div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
		'image' => '',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)"><i class="far fa-play-circle"></i><img class="thumtab" rel="tab'.$rand.'" href="javascript:void(0)" src="'.$image.'" alt="" /><span>'.$title.'</span></a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="button" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');

// space Shortcode
function space_fun($atts){
	extract(shortcode_atts(array(
	'height'	=> '',	
	), $atts));
	return '<div class="space" style="height:'.$height.'"></div>';
	}
add_shortcode('space','space_fun');

// sub title Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',	
	'description'	=> '',
	'align'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; text-align:'.$align.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');


// Latest News function
function latestnewsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'showposts' => '',
		'button' => '',		
		'date' => '',
		'author' => '',				
	), $atts ) );
	$postoutput = '<div class="fourcolumn-news">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$showposts, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;			
			
			if($author=='show'){   
				$post_author = '<span class="postauthor">BY '.get_the_author_posts_link().' / </span> ';
			} else {
				$post_author = '';
			}
			if($date=='show'){   
				$post_date = '<div class="postdate">'.get_the_date().'</div>';
			} else {
				$post_date = '';
			}
			
			
		 	if( $n%2==0 )  $nomgn = 'last';	else $nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/no-image.jpg';
			}
			$postoutput .= '
			<div class="news-box '.$nomgn.'">				
				<div class="newsdesc">
			   	    '.$post_author.'
				    '.$post_date.'				    
					<div class="clear"></div>
					<h5><a href="'.get_permalink().'">'.get_the_title().'</a></h5>					
					<p>'.wp_trim_words( get_the_content(), of_get_option('latestnewslength'), '' ).'</p>
					<a class="commontbutton" href="'.get_the_permalink().'">'.$button.'</a>
				</div>
				<div class="news-thumb">
					<figure><a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a>	</figure>
					<div class="newsimg_shape"></div>				
				</div>
				<div class="clear"></div>
			</div>';	
		$postoutput .= ''.(($n%2==0) ? '<div class="clear"></div>' : '');
		endwhile;
	endif;
	wp_reset_query();
	$postoutput .= '</div>';	
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestnewsoutput_func' );

/*Clients Logo function*/
function agronomics_pro_client_logos($atts, $content = null){
	return '<ul id="clientlogo">'.do_shortcode($content).'</ul>';
	}
add_shortcode('client_lists','agronomics_pro_client_logos');

function agronomics_pro_client($atts){
	extract(shortcode_atts(array(
	'image'	=> '',	
	'link'	=> '#'	
	), $atts));
	return '<li><a href="'.$link.'" target="_blank"><img src="'.$image.'" /></a></li>';
	}
add_shortcode('client','agronomics_pro_client');


// add shortcode for skills
function agronomics_pro_skills($agronomics_pro_skill_var){
	extract( shortcode_atts(array(
		'title' 	=> 'title',
		'percent'	=> 'percent',
		'bgcolor'	=> 'bgcolor',
	), $agronomics_pro_skill_var));
	
	return '<div class="skillbar clearfix " data-percent="'.$percent.'%">
			<div class="skillbar-title"><span>'.$title.'</span> <span class="skill-bar-percent">('.$percent.'%)</span></div>
			<div class="skill-bg"><div class="skillbar-bar" style="background:'.$bgcolor.'"></div></div>			
			</div>';
}

add_shortcode('skill','agronomics_pro_skills');

// Counter Shortcode
function my_custom_counter_func($atts){
	extract(shortcode_atts(array(		
	'value'	=> '',	
	'title'	=> '',	
	), $atts));
	return '<div class="mycounterbox">
	    <div class="counter">'.$value.'</div>
	    <h6>'.$title.'</h6>	   	   
	</div>';
	}
add_shortcode('counter','my_custom_counter_func');

/* [contactinfo address="" icon="" info="" ] */
function agronomics_pro_contact_details($atts, $content = null){
	extract( shortcode_atts(array(
		'icon'  => '',	
		'info'  => '',		
	), $atts));
	return '
			<div class="m-add-info">
			        <i class="'.$icon.'"></i>				
					<div class="m-addbox">					
					  <p>'.$info.'</p>
					</div>
			</div>';
	}
add_shortcode('contact-details','agronomics_pro_contact_details');

/* [contactinfo address="" icon="" info="" ] */
function agronomics_pro_contact_title_fun($atts, $content = null){
	extract( shortcode_atts(array(
		'address'  => '',			
	), $atts));
	return '
			<div class="homeaddress">'.$address.'</div>';
	}
add_shortcode('location-add','agronomics_pro_contact_title_fun');


/* [footredbx bgcolor="" icon="" title="" desc="" ] */
function agronomics_pro_footer_redbox($atts, $content = null){
	extract( shortcode_atts(array(
		'icon'  => '',	
		'title'  => '',	
		'desc'  => '',
		'bgcolor'  => '',		
	), $atts));
	return '<div class="ftr-redbx" style="background-color:'.$bgcolor.'">
			        <i style="background-color:'.$bgcolor.'" class="'.$icon.'"></i>				
					<div class="detailsbx">					
					  <h4>'.$title.'</h4>
					  <p>'.$desc.'</p>
					</div>
			</div>';
	}
add_shortcode('footredbx','agronomics_pro_footer_redbox');


// Footer Time table Shortcodes
// [office-hours icon="facebook" days="monday-friday" time="10.00-9.00"]
function agronomics_pro_officehours($atts,$content = null){
  return '<div class="office-timetable">'.do_shortcode($content).'</div>';
 }
add_shortcode('office-hours','agronomics_pro_officehours');

function agronomics_pro_time_daywise($atts){
 extract(shortcode_atts(array(  
 			'icon' => '',			
			'day' => '',
			'time' => '',		
 ),$atts));
  return '<div class="officehours"> 
  			 	 '.( ($icon!='') ? '<i class="'.$icon.'"></i>' : '').'				
			 	 '.( ($day!='') ? '<div class="day">'.$day.'</div>' : '').'
				 '.( ($time!='') ? '<div class="times">'.$time.'</div>' : '').'
  </div>';
 }
add_shortcode('officetime','agronomics_pro_time_daywise');

/* [custom-video youtubeid="" cover="" ] */
function theme_custom_video_fun($atts, $content = null){
	extract( shortcode_atts(array(
		'cover'  => '',		
		'youtubeid'  => '',	
		'cover'  => '',			
	), $atts));
	return '
			<div class="videobox">
			     <img src="'.$cover.'"  alt="" />
			     <a href="'.$url.'" class="youtube-link" youtubeid="'.$youtubeid.'"><div class="playbtn"></div></a>						
			</div>';
	}
add_shortcode('custom-video','theme_custom_video_fun');


/*[agro-services icon="" title="" description="" ]*/
function agro_gardning_func($atts){
		extract( shortcode_atts(array(
		'icon' => '',
		'title' => '',
		'description' => '',
		'class' => '',		
		), $atts));	
		return '
			<div class="agro_services '.$class.'">				
					'.( ($icon!='') ? '<div class="icon-thumb"><img src="'.$icon.'"></div>' : '').' 					
					<h6>'.$title.'</h6>
					<p>'.$description.'</p>						
			</div>';
}
add_shortcode('agro-services','agro_gardning_func');

/*[agro-thumb image="" ]*/
function agro_gardning_imagefunc($atts){
		extract( shortcode_atts(array(
		'image' => '',			
		), $atts));	
		return ''.( ($image!='') ? '<div class="agro-imagebx"><img src="'.$image.'"></div>' : '').'';
}
add_shortcode('agro-thumb','agro_gardning_imagefunc');

/*[gardening-services icon="" title="" description="" ]*/
function agro_gardning_services_func($atts){
		extract( shortcode_atts(array(
		'icon' => '',
		'title' => '',
		'description' => '',
		'class' => '',		
		), $atts));	
		return '
			<div class="gardening_services '.$class.'">				
					'.( ($icon!='') ? '<i class="'.$icon.'"></i>' : '').' 					
					<h6>'.$title.'</h6>
					<p>'.$description.'</p>						
			</div>';
}
add_shortcode('gardening-services','agro_gardning_services_func');

/*[gardening-imagebox image="" ]*/
function gardening_imagebox_func($atts){
		extract( shortcode_atts(array(
		'image' => '',			
		), $atts));	
		return ''.( ($image!='') ? '<div class="gardening-imagebox"><img src="'.$image.'"></div>' : '').'';
}
add_shortcode('gardening-imagebox','gardening_imagebox_func');


define('GRACE_THEME_DOC','http://www.gracethemesdemo.com/documentation/agronomics/');