<?php       
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier chaAre you ready to tak
 nges, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'agronomics-pro'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
	'Assistant' => 'Assistant',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',
    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',
    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
	'Showcard Gothic' => 'Showcard Gothic',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(	
			1 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"][agro-thumb image="'.get_template_directory_uri().'/images/agro_thumb.jpg" ][/column_content][column_content type="one_half_last"]
<h3 class="content_title">GARDENING & AGRICULTURE</h3>
Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est. ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu

[agro-services icon="'.get_template_directory_uri().'/images/agro-icon1.jpg" title="Garden Watering System" description="Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis."][agro-services icon="'.get_template_directory_uri().'/images/agro-icon2.jpg" title="Preparing Landscape" description="Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis." class="last"][agro-services icon="'.get_template_directory_uri().'/images/agro-icon3.jpg" title="Garden Fence" description="Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis."][agro-services icon="'.get_template_directory_uri().'/images/agro-icon4.jpg" title="Garden Supplies" description="Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis." class="last"]
[/column_content]',
		),
		
		2 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#7abf17',
			'bgimage'		=> get_template_directory_uri().'/images/gardening-bg.jpg',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"]
<h3 class="content_title">Gardner Need & Landscaping</h3>
If you have any emergency landscaping need, simply call our 24 hour emergency number (1800 856 7489)
<h6>QUICK AND RELIABLE WORK FOR LANDSCAPE AND GARDENING</h6>
[button align="left" name="CONTACT US" link="#" target=""]
[/column_content][column_content type="one_half_last"]&nbsp;[/column_content]'
		),
		
		3 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"][gardening-imagebox image="'.get_template_directory_uri().'/images/gardening_thumb.jpg" ]
[custom-video cover="'.get_template_directory_uri().'/images/video-cover.jpg" youtubeid="gkjJg72dT_Q"][/column_content][column_content type="one_half_last"]
<h3 class="content_title">The Best Landscaping Design & Gardening Service</h3>
Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est. 

[gardening-services icon="fas fa-check" title="Free Estimates" description="Cras metus quam, condimentu venen rutrum ediam sed vehicquis aliquam enim, quis lobortis arcu."][gardening-services icon="fas fa-truck-pickup" title="Modern Equipment" description="Cras metus quam, condimentu venen rutrum ediam sed vehicquis aliquam enim, quis lobortis arcu."][gardening-services icon="fas fa-users" title="Expert People" description="Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis aliquam enim, quis lobortis arcu."]
[/column_content]',
		),
		
		4 => array(
			'section_title'	=> 'LATEST NEWS',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#efefef',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[latest-news button="Read More" showposts="2" author="show" date="show"]'
		),
		
		5 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"]
<h3 class="content_title">Helping Small and Big Garden setup For The Last 42 Years</h3>
Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est.
[space height="30px"]

metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu psum primis in fauci. Pellentesque in aliquam Integer vulputate porta elit, fringilla mollis mag luctus vel. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est.[/column_content][column_content type="one_half_last"][counter value="52" title="Years of business operation"][counter value="470" title="Garden Tools"][counter value="1800" title="Home Garden worldwide"][counter value="24" title="24/7 Support all time"][/column_content]'
		),
		
		6 => array(
			'section_title'	=> 'Our Team',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#f2f2f2',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[our-team show="5" excerptlength="10" button="View Profile"]',
		),	
		
		
		7 => array(
			'section_title'	=> 'Our Products',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle color="#717171" size="16px" align="center" description="Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est."] 
[recent_products per_page="4" columns="4"]'
		),	
		
		
		8 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#f2f2f2',
			'bgimage'		=> get_template_directory_uri().'/images/testimonialbg.jpg',
			'class'			=> '',
			'content'		=> '[testimonials title="CUSTOMER FEEDBACK"]',
		),
		
		9 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> 'contactpanel',
			'content'		=> '[column_content type="one_half"]<h3 class="content_title">OUR PARTNERS</h3>Donec in metus lectus. Integer vulputate porta elit, fringilla mollis mag luctus vel. Interdum et malesuada fames ac ante ipsum primis in fauci. Pellentesque in aliquam enim, quis lobortis arcu. Curabitur quis ultrices est.
[client_lists][client image="'.get_template_directory_uri().'/images/client-logo1.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo2.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo3.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo4.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo5.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo1.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo3.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo4.jpg" link="#"][client image="'.get_template_directory_uri().'/images/client-logo5.jpg" link="#"][/client_lists]
[/column_content][column_content type="one_half_last"]<h3 class="content_title">GET IN TOUCH</h3>
[contact-form-7 id="1360" title="Contact form 1"]
[/column_content]',
		),	
					
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(	
		'name' => __('Layout Option', 'agronomics-pro'),		
		'desc'	=> __('Check To Show Box Layout ', 'agronomics-pro'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Hide Animation', 'agronomics-pro'),
		'desc' => __('Check to hide animation on scroll', 'agronomics-pro'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'agronomics-pro'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'agronomics-pro'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
	//Font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'agronomics-pro'),
		'desc' => __('Select font for the body text', 'agronomics-pro'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'agronomics-pro'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'agronomics-pro'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );		
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'agronomics-pro'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'agronomics-pro'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );	

		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'agronomics-pro'),
		'desc' => __('Select font size for body text', 'agronomics-pro'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for section title', 'agronomics-pro'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '38px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'agronomics-pro'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '22px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'agronomics-pro'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'agronomics-pro'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'agronomics-pro'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'agronomics-pro'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'agronomics-pro'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'agronomics-pro'),
		'id' => 'h6fontsize',
		'std' => '14px',
		'type' => 'select',
		'options' => $font_sizes);


	// font colors start

	$options[] = array(
		'name' => __('Site Colors Scheme', 'agronomics-pro'),
		'desc' => __('Change the color scheme of hole site', 'agronomics-pro'),
		'id' => 'colorscheme',
		'std' => '#7abf17',
		'type' => 'color');
		
	$options[] = array(	
		'name' => __('Font Colors', 'agronomics-pro'),	
		'desc' => __('Select font color for the body text', 'agronomics-pro'),
		'id' => 'bodyfontcolor',
		'std' => '#5c5c5c',
		'type' => 'color');	
		
	
	$options[] = array(
		'desc' => __('Select font color for section title', 'agronomics-pro'),
		'id' => 'sectitlecolor',
		'std' => '#333740',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select font color for widget title', 'agronomics-pro'),
		'id' => 'wdgttitleccolor',
		'std' => '#333740',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'agronomics-pro'),
		'id' => 'foottitlecolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'agronomics-pro'),
		'id' => 'footdesccolor',
		'std' => '#ababab',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer copyright text', 'agronomics-pro'),
		'id' => 'designcolor',
		'std' => '#ababab',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'agronomics-pro'),
		'id' => 'linkhovercolor',
		'std' => '#333740',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'agronomics-pro'),
		'id' => 'sidebarfontcolor',
		'std' => '#333740',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'agronomics-pro'),
		'id' => 'copylinkshover',
		'std' => '#333740',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'agronomics-pro'),
		'id' => 'h1fontcolor',
		'std' => '#353535',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'agronomics-pro'),
		'id' => 'h2fontcolor',
		'std' => '#353535',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'agronomics-pro'),
		'id' => 'h3fontcolor',
		'std' => '#353535',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'agronomics-pro'),
		'id' => 'h4fontcolor',
		'std' => '#353535',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'agronomics-pro'),
		'id' => 'h5fontcolor',
		'std' => '#353535',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'agronomics-pro'),
		'id' => 'h6fontcolor',
		'std' => '#353535',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'agronomics-pro'),
		'id' => 'footsocialcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'agronomics-pro'),
		'id' => 'galleryfiltercolor',
		'std' => '#333740',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'agronomics-pro'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#333740',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'agronomics-pro'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'agronomics-pro'),
		'id' => 'widgetboxfontcolor',
		'std' => '#333740',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts title', 'agronomics-pro'),
		'id' => 'footerpoststitlecolor',
		'std' => '#ababab',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'agronomics-pro'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	// Background start		
	$options[] = array(
	    'name' => __('Background Colors', 'agronomics-pro'),	
		'desc' => __('Select background color for feature pages on slider', 'agronomics-pro'),
		'id' => 'ftrpgeboxbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for Welcome section', 'agronomics-pro'),
		'id' => 'secondsecbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select background color for our services section', 'agronomics-pro'),
		'id' => 'ourservicesbgcolor',
		'std' => '#f4f3f3',
		'type' => 'color');			
	
	$options[] = array(
		'desc' => __('Select background color for footer', 'agronomics-pro'),
		'id' => 'footerbgcolor',
		'std' => '#2b2a28',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for footer copyright', 'agronomics-pro'),
		'id' => 'footercopybgcolor',
		'std' => '#222120',
		'type' => 'color');	

	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'agronomics-pro'),
		'desc' => __('Select background hover color for default button', 'agronomics-pro'),
		'id' => 'btnbghvcolor',
		'std' => '#000000',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'agronomics-pro'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'agronomics-pro'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');						

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'agronomics-pro'),				
		'desc' => __('Select font color for slider title', 'agronomics-pro'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'agronomics-pro'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'agronomics-pro'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '50px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'agronomics-pro'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '18px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'agronomics-pro'),
		'desc' => __('Select background color for slider pager (dots)', 'agronomics-pro'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');		
		
	$options[] = array(	
		'name' => __('Excerpt Lenth', 'agronomics-pro'),			
		'desc' => __('Select excerpt length for testimonials section', 'agronomics-pro'),
		'id' => 'testimonialsexcerptlength',
		'std' => '60',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for homepage letest posts', 'agronomics-pro'),
		'id' => 'latestnewslength',
		'std' => '20',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for blog templates posts', 'agronomics-pro'),
		'id' => 'blogpostexcerptlength',
		'std' => '25',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for footer latest posts', 'agronomics-pro'),
		'id' => 'footerpostslength',
		'std' => '8',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change read more button text for blog templates post', 'agronomics-pro'),
		'id' => 'readmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'agronomics-pro'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'agronomics-pro'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'agronomics-pro'),
		'desc' => __('Select layout. eg:ight-sidebar, left-sidebar, full-width', 'agronomics-pro'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Team Single Layout', 'agronomics-pro'),
		'desc' => __('Select layout. eg:left,right,full', 'agronomics-pro'),
		'id' => 'teamsinglelayout',
		'type' => 'select',
		'std' => 'nosidebar',
		'options' => array('singleright'=>'Team Single Right Sidebar', 'singleleft'=>'Team Single Left Sidebar', 'sitefull'=>'Team Single Full Width', 'nosidebar'=>'Team Single No Sidebar') );		
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'agronomics-pro'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'agronomics-pro'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'agronomics-pro'),	
		'desc' => __('manage testimonials rotating speed.', 'agronomics-pro'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','agronomics-pro'),
		'id' => 'testimonialsautoplay',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			
		

	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(		
		'name' => __('Three features box on the slider', 'agronomics-pro'),
		'desc'	=> __('first features page for slider box','agronomics-pro'),
		'id' 	=> 'featurecolumn1',
		'type'	=> 'select',
		'options' => $options_pages,
	  );
	  
	$options[] = array(		
		'desc' => __('upload image for first box.', 'agronomics-pro'),
		'id' => 'featurecolumnimg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second features page for slider box','agronomics-pro'),
		'id' 	=> 'featurecolumn2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'agronomics-pro'),
		'id' => 'featurecolumnimg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third features page for slider box','agronomics-pro'),
		'id' 	=> 'featurecolumn3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'agronomics-pro'),
		'id' => 'featurecolumnimg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload'); 
		
	$options[] = array(		
		'desc' => __('Select excerpt length for features three boxes section on slider', 'agronomics-pro'),
		'id' => 'featurespageboxlength',
		'std' => '12',
		'type' => 'text');		 
		
	$options[] = array(			
		'desc'	=> __('Check to hide top section on the slider', 'agronomics-pro'),
		'id'	=> 'hidefeaturessection',
		'type'	=> 'checkbox',
		'std'	=> '');	
		
	//Welcome sectiom start
	$options[] = array(	
		'name' => __('Welcome Section', 'agronomics-pro'),
		'desc'	=> __('select page for welcome section','agronomics-pro'),
		'id' 	=> 'agrowelcomepage',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for welcome page', 'agronomics-pro'),
		'id' => 'agrowelcomepageimg',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for welcome page section', 'agronomics-pro'),
		'id' => 'agrowelcomepagelength',
		'std' => '100',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('change read more button for welcome section', 'agronomics-pro'),
		'id' => 'agrowelcomepagereadmorebtn',
		'std' => 'READ MORE',
		'type' => 'text');	
		
	$options[] = array(			
		'desc'	=> __('Check to hide welcome section', 'agronomics-pro'),
		'id'	=> 'hidewelcomesection',
		'type'	=> 'checkbox',
		'std'	=> '');	//Welcome sectiom end						
	
		
	$options[] = array(			
		 'name' => __('Our Services Section', 'agronomics-pro'),	
		'desc'	=> __('first services page box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first box.', 'agronomics-pro'),
		'id' => 'servicespageimg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second services box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'agronomics-pro'),
		'id' => 'servicespageimg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third services box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'agronomics-pro'),
		'id' => 'servicespageimg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	
	$options[] = array(	
		'desc'	=> __('Fourth Services box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth box.', 'agronomics-pro'),
		'id' => 'servicespageimg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('fifth Services box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx5',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fifth box.', 'agronomics-pro'),
		'id' => 'servicespageimg5',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('six Services box for frontpage section','agronomics-pro'),
		'id' 	=> 'servicespagebx6',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for six box.', 'agronomics-pro'),
		'id' => 'servicespageimg6',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for services three boxes section', 'agronomics-pro'),
		'id' => 'pageboxlength',
		'std' => '15',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('change read more button for services four boxes section', 'agronomics-pro'),
		'id' => 'pagereadmorebutton',
		'std' => 'Read More',
		'type' => 'text');				
	
	$options[] = array(			
		'desc'	=> __('Check to hide our services section', 'agronomics-pro'),
		'id'	=> 'hideservicesbxsec',
		'type'	=> 'checkbox',
		'std'	=> '');			
	
	$options[] = array(
		'name' => __('Number of Sections', 'agronomics-pro'),
		'desc' => __('Select number of sections', 'agronomics-pro'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '9',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 9 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'agronomics-pro'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'agronomics-pro'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'agronomics-pro'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'agronomics-pro'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'agronomics-pro'),
			'desc' => __('Select background color for section', 'agronomics-pro'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'agronomics-pro'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'agronomics-pro'),
			'desc' => __('Set class for this section.', 'agronomics-pro'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'agronomics-pro'),
			'desc'	=> __('Check to hide this section', 'agronomics-pro'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'agronomics-pro'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'agronomics-pro'),
		'desc' => __('Upload inner page banner for site', 'agronomics-pro'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'agronomics-pro'),
		'desc' => __('Enter here your slider shortcode without php tag', 'agronomics-pro'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'agronomics-pro'),
		'desc' => __('Select slider effect.','agronomics-pro'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'agronomics-pro'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'agronomics-pro'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'agronomics-pro'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','agronomics-pro'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','agronomics-pro'),
		'id' => 'slidepage',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','agronomics-pro'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));
		
	$options[] = array(
		'desc' => __('services button on slider', 'agronomics-pro'),
		'id' => 'servicesbtnonslider',
		'std' => '<a class="slidereadmore" href="#">SERVICES</a>',
		'type' => 'textarea');	
	
	
	$options[] = array(
		'name' => __('Slider Image 1', 'agronomics-pro'),
		'desc' => __('First Slide', 'agronomics-pro'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'agronomics-pro'),
		'id' => 'slidetitle1',
		'std' => 'Natural Healthy Foods',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc1',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim.',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton1',
		'std' => 'VIEW MORE',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl1',
		'std' => '#',
		'type' => 'text');		
		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'agronomics-pro'),
		'desc' => __('Second Slide', 'agronomics-pro'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'agronomics-pro'),
		'id' => 'slidetitle2',
		'std' => 'Fresh From Our Farm',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc2',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim. ',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton2',
		'std' => 'VIEW MORE',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl2',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'agronomics-pro'),
		'desc' => __('Third Slide', 'agronomics-pro'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 3', 'agronomics-pro'),
		'id' => 'slidetitle3',
		'std' => '100% Natural Organic',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc3',
		'std' => 'Cras metus quam, condimentum ut venen rutrum ediam. Sed vehicula at r quis fringnull lobortis fermentum dignissim. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton3',
		'std' => 'VIEW MORE',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl3',
		'std' => '#',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'agronomics-pro'),
		'desc' => __('Third Slide', 'agronomics-pro'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'agronomics-pro'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'agronomics-pro'),
		'desc' => __('Fifth Slide', 'agronomics-pro'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'agronomics-pro'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'agronomics-pro'),
		'desc' => __('Sixth Slide', 'agronomics-pro'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'agronomics-pro'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'agronomics-pro'),
		'desc' => __('Seventh Slide', 'agronomics-pro'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'agronomics-pro'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'agronomics-pro'),
		'desc' => __('Eighth Slide', 'agronomics-pro'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'agronomics-pro'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'agronomics-pro'),
		'desc' => __('Ninth Slide', 'agronomics-pro'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'agronomics-pro'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'agronomics-pro'),
		'desc' => __('Tenth Slide', 'agronomics-pro'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'agronomics-pro'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'agronomics-pro'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'agronomics-pro'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'agronomics-pro'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
		
		
	//Footer SETTINGS
	$options[] = array(
		'name' => __('Header', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Header Layout', 'agronomics-pro'),
		'desc' => __('Select Header layout', 'agronomics-pro'),
		'id' => 'headerlayout',
		'type' => 'select',
		'std' => 'header1',
		'options' => array('header1'=>'Header 1', 'header2'=>'Header 2', 'header3'=>'Header 3'));	
		
		
	$options[] = array(
		'name' => __('Logo', 'agronomics-pro'),
		'desc' => __('Upload your main logo here', 'agronomics-pro'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri().'/images/logo.png',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height', 'agronomics-pro'),
		'id' => 'logoheight',
		'std' => '49',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'agronomics-pro'),		
		'desc'	=> __('check to show site title and description', 'agronomics-pro'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> '');			
				
		
	$options[] = array(
		'name' => __('Header Top Info', 'agronomics-pro'),
		'desc' => __('Edit header info from here. NOTE: Icon name should be in lowercase without space.(exa.phone) More social icons can be found at: https://fontawesome.com/icons/', 'agronomics-pro'),
		'id' => 'headerinfo',
		'std' => '<div class="infobox"><i class="fas fa-map-marker-alt"></i><span><b class="addbx">Suite 300 Houston</b> Texas - 77042 USA</span> </div>
<div class="infobox"><i class="fas fa-phone"></i><span><b>Call us toll free</b> 1800-9090-8089</span></div>
<div class="infobox"><i class="far fa-clock"></i><span><b>Working Hours</b> Mon - Sat 06:00 to 18:00</span> </div>
',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Header Top Social Icons', 'agronomics-pro'),
		'desc' => __('Edit select social icons for header top', 'agronomics-pro'),
		'id' => 'headersocial',
		'std' => '
[social_area] 
[social icon="fab fa-facebook-f" link="#"] 
[social icon="fab fa-twitter" link="#"] 
[social icon="fab fa-google-plus-g" link="#"] 
[social icon="fab fa-linkedin-in" link="#"]
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'textarea');	
		
		
	$options[] = array(
		'name' => __('Header button', 'agronomics-pro'),
		'desc' => __('Edit header button text', 'agronomics-pro'),
		'id' => 'headerbook',
		'std' => '<a href="#" class="booknow">BOOK A SERVICE</a>',
		'type' => 'textarea');			

		
	$options[] = array(
		'name' => __('Header Contact info & Social Icons', 'agronomics-pro'),
		'desc' => __('Check to hide header contact info and social icons', 'agronomics-pro'),
		'id' => 'headtopstrip',
		'std' => '',
		'type' => 'checkbox');	
				
		
	$options[] = array(
		'name' => __('Sticky Header', 'agronomics-pro'),
		'desc' => __('Uncheck this to hide sticky header on scroll', 'agronomics-pro'),
		'id' => 'headstick',
		'std' => 'true',
		'type' => 'checkbox');	
		
	//Header style 1	
	$options[] = array(
		'name' => __('HEADER STYLE 1 ( Default )', 'agronomics-pro'),
		'desc' => __('Select font for textual Logo', 'agronomics-pro'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'agronomics-pro'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'agronomics-pro'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '28px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'agronomics-pro'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'name' => __('Background Colors', 'agronomics-pro'),		
		'desc' => __('Select background color for site header default', 'agronomics-pro'),
		'id' => 'headerbgcolordefault',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background color for site header menu', 'agronomics-pro'),
		'id' => 'headermenubgcolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(
		'name' => __('Font Colors', 'agronomics-pro'),	
		'desc' => __('Select font color for header default', 'agronomics-pro'),
		'id' => 'headerdefaultfontcolor',
		'std' => '#414141',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select font color for header top phone and email strip', 'agronomics-pro'),
		'id' => 'headertopfontcolor',
		'std' => '#414141',
		'type' => 'color');		
		
	$options[] = array(
		'desc' => __('Select font color for logo', 'agronomics-pro'),
		'id' => 'logofontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'agronomics-pro'),
		'id' => 'logotaglinecolor',
		'std' => '#5d5d5d',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for navigation', 'agronomics-pro'),
		'id' => 'navfontcolor',
		'std' => '#414141',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'agronomics-pro'),
		'id' => 'socialfontcolor',
		'std' => '#ffffff',
		'type' => 'color');			
	
	$options[] = array(			
		'name' => __('Border Colors', 'agronomics-pro'),		
		'desc' => __('Select border color for top navigation dropdown li', 'agronomics-pro'),
		'id' => 'navlibdcolor',
		'std' => '#dddddd',
		'type' => 'color');			
			
		
	//Header style 2
	$options[] = array(
		'name' => __('HEADER STYLE 2', 'agronomics-pro'),
		'desc' => __('Select font for textual Logo', 'agronomics-pro'),
		'id' => 'logofontface_style2',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'agronomics-pro'),
		'id' => 'navfontface_style2',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'agronomics-pro'),
		'id' => 'logofontsize_style2',
		'type' => 'select',
		'std' => '28px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'agronomics-pro'),
		'id' => 'navfontsize_style2',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'name' => __('Background Colors', 'agronomics-pro'),		
		'desc' => __('Select background color for site header', 'agronomics-pro'),
		'id' => 'headerbgcolor_style2',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'name' => __('Font Colors', 'agronomics-pro'),	
		'desc' => __('Select font color for logo', 'agronomics-pro'),
		'id' => 'logofontcolor_style2',
		'std' => '#000000',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'agronomics-pro'),
		'id' => 'logotaglinecolor_style2',
		'std' => '#555555',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for navigation', 'agronomics-pro'),
		'id' => 'navfontcolor_style2',
		'std' => '#000000',
		'type' => 'color');		
		
	
	$options[] = array(			
		'name' => __('Border Colors', 'agronomics-pro'),		
		'desc' => __('Select border color for top navigation dropdown li', 'agronomics-pro'),
		'id' => 'navlibdcolor_style2',
		'std' => '#eeeeee',
		'type' => 'color');					

		
	//Header style 3
	$options[] = array(
		'name' => __('HEADER STYLE 3', 'agronomics-pro'),
		'desc' => __('Select font for textual Logo', 'agronomics-pro'),
		'id' => 'logofontface_style3',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'agronomics-pro'),
		'id' => 'navfontface_style3',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'agronomics-pro'),
		'id' => 'logofontsize_style3',
		'type' => 'select',
		'std' => '28px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'agronomics-pro'),
		'id' => 'navfontsize_style3',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'name' => __('Background Colors', 'agronomics-pro'),		
		'desc' => __('Select background color for site header style3', 'agronomics-pro'),
		'id' => 'headerbgcolor_style3',
		'std' => '#7abf17',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background color for site header menu style3', 'agronomics-pro'),
		'id' => 'headermenubgcolor_style3',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'name' => __('Font Colors', 'agronomics-pro'),	
		'desc' => __('Select font color for logo', 'agronomics-pro'),
		'id' => 'logofontcolor_style3',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'agronomics-pro'),
		'id' => 'logotaglinecolor_style3',
		'std' => '#5d5d5d',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for navigation', 'agronomics-pro'),
		'id' => 'navfontcolor_style3',
		'std' => '#111111',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'agronomics-pro'),
		'id' => 'socialfontcolor_style3',
		'std' => '#ffffff',
		'type' => 'color');			
	
	$options[] = array(			
		'name' => __('Border Colors', 'agronomics-pro'),		
		'desc' => __('Select border color for top navigation dropdown li', 'agronomics-pro'),
		'id' => 'navlibdcolor_style3',
		'std' => '#222222',
		'type' => 'color');		
	

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Footer Layout', 'agronomics-pro'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'agronomics-pro'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );		
	
		
	$options[] = array(
		'name' => __('Footer About Us Title', 'agronomics-pro'),
		'desc' => __('about company title for footer', 'agronomics-pro'),
		'id' => 'abouttitle',
		'std' => 'About Us',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('About us Short Description', 'agronomics-pro'),
		'desc' => __('about us short description for footer', 'agronomics-pro'),
		'id' => 'aboutusshortdescription',
		'std' => '<p>We have been designing and creating beautiful gardens for over 15 years. If you like what you see </p>',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('About us Description', 'agronomics-pro'),
		'desc' => __('about us description for footer', 'agronomics-pro'),
		'id' => 'aboutusdescription',
		'std' => '<p>Vivamus gravida posuere lectus, a volutpat diam pulvinar vel. Proin vitae rhoncus ligula. Mauris dapibus magna diam, in posuere ipsum fringilla quis. Fusce nec tincidunt lorem.</p>',
		'type' => 'textarea');
		
	$options[] = array(		
		'desc' => __('Add phone number here.', 'agronomics-pro'),
		'id' => 'phone',
		'std' => '<span>Phone:</span> +91 345-677-554',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Add email address here.', 'agronomics-pro'),
		'id' => 'email',
		'std' => '<span>Email:</span> info@sitename.com',
		'type' => 'textarea');
		
		
	$options[] = array(	
		'desc' => __('Add company address here.', 'agronomics-pro'),
		'id' => 'address',
		'std' => '<span>Website:</span>sitename.com',
		'type' => 'textarea');
	
	$options[] = array(
		'name' => __('Useful Links title', 'agronomics-pro'),
		'desc' => __('Add useful links here', 'agronomics-pro'),
		'id' => 'usefullinkstitle',
		'std' => 'Useful Links',
		'type' => 'text');	
		
	
	$options[] = array(
		'name' => __('Latest Posts', 'agronomics-pro'),
		'desc' => __('Add latest post title here', 'agronomics-pro'),
		'id' => 'letestpoststitle',
		'std' => 'Latest Posts',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Working Hours Title', 'agronomics-pro'),
		'desc' => __('Footer working hours title.', 'agronomics-pro'),
		'id' => 'officehourstitle',
		'std' => 'Working Hours',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Working Short Description', 'agronomics-pro'),
		'desc' => __('Add short description here', 'agronomics-pro'),
		'id' => 'workingshortdesc',
		'std' => 'Our support available to help our customer 24/7',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Working Time Table', 'agronomics-pro'),
		'desc' => __('working time table for footer', 'agronomics-pro'),
		'id' => 'officetimetable',
		'std' => '[office-hours]
[officetime icon="far fa-clock" day="Monday-Friday" time="9:00 - 18:00"]
[officetime icon="far fa-clock" day="Satutday" time="10:00 - 14:00"]
[officetime icon="far fa-clock" day="Sunday" time="Closed"]			
[/office-hours]',
		'type' => 'textarea');	
		
	
			
		
	$options[] = array(
		'name' => __('Footer Social Icons', 'agronomics-pro'),
		'desc' => __('social icons for footer', 'agronomics-pro'),
		'id' => 'footersocialicon',
		'std' => '
[social_area]
[social icon="fab fa-facebook-f" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-linkedin-in" link="#"]	
[social icon="fab fa-instagram" link="#"]		
[/social_area]',
		'type' => 'textarea');
		
								
		
	$options[] = array(
		'desc' => __('Footer Copyright text', 'agronomics-pro'),
		'id' => 'copytext',
		'std' => 'Copyright &copy; 2019 Agronomics. Design &amp; developed by <a href="'.esc_url('https://gracethemes.com/').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'agronomics-pro'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);
		
	//Contact Page
	$options[] = array(
		'name' => __('Contact Us Page', 'agronomics-pro'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Contact page details', 'agronomics-pro'),
		'desc' => __('Add contact page details here', 'agronomics-pro'),
		'id' => 'contactpagedetails',
		'std' => '[column_content type="one_half"]
[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]
[contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]
[contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]
[contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]
[contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	

<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d412505.271238499!2d-115.45519531659504!3d36.12522845626667!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80beb782a4f57dd1%3A0x3accd5e6d5b379a3!2sLas+Vegas%2C+NV%2C+USA!5e0!3m2!1sen!2sin!4v1538305726773" width="500" height="225" frameborder="0" style="border:0" allowfullscreen></iframe>

[/column_content]

[column_content type="one_half_last"]
[contactform to_email="test@example.com" title="Contact Form"] 
[/column_content]',
		'type' => 'editor');
		
		

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'agronomics-pro'),
		'type' => 'heading');	
		
	$options[] = array(
		'name' => __('Our Team', 'agronomics-pro'),
		'desc' => __('[our-team show="3" excerptlength="10" button="View Profile"]', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Video', 'agronomics-pro'),
		'desc' => __('[custom-video cover="full path of image" youtubeid="HFXMMExSyp8"]', 'agronomics-pro'),
		'type' => 'info');
		
	
	$options[] = array(
		'name' => __('Latest News', 'agronomics-pro'),
		'desc' => __('[latest-news button="Read More" showposts="2" author="show" date="show"]', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'agronomics-pro'),
		'desc' => __('[testimonials]', 'agronomics-pro'),
		'type' => 'info');
	
	
		
	
	$options[] = array(
		'name' => __('Photo Gallery', 'agronomics-pro'),
		'desc' => __('[photogallery filter="true" show="8"]', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Contact Page Details', 'agronomics-pro'),
		'desc' => __('[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]<br />
	 [contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]<br />
	 [contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]<br />
	 [contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]<br />
	 [contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	', 'agronomics-pro'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Contact Form', 'agronomics-pro'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Button', 'agronomics-pro'),
		'desc' => __('[button align="center" name="Read More" link="#" target=""]', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Search Form', 'agronomics-pro'),
		'desc' => __('[searchform]', 'agronomics-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: https://fontawesome.com/icons/)', 'agronomics-pro'),
		'desc' => __('[social_area]<br />
			[social icon="fab fa-facebook-f" link="#"]<br />
			[social icon="fab fa-twitter" link="#"]<br />
			[social icon="fab fa-linkedin-in" link="#"]<br />
			[social icon="fab fa-google-plus-g" link="#"]<br />
		[/social_area]', 'agronomics-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'agronomics-pro'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'agronomics-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'agronomics-pro'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'agronomics-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'agronomics-pro'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'agronomics-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'agronomics-pro'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'agronomics-pro'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'agronomics-pro'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'agronomics-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'agronomics-pro'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'agronomics-pro'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'agronomics-pro'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'agronomics-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'agronomics-pro'),
		'desc' => __('<pre>
[clear]
</pre>', 'agronomics-pro'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Blank Height (space)', 'agronomics-pro'),
		'desc' => __('<pre>
[space height="20px"]
</pre>', 'agronomics-pro'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'agronomics-pro'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'agronomics-pro'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'agronomics-pro'),
		'desc' => __('[subtitle color="#111111" size="15px" align="left" description="short descriptio here"]', 'agronomics-pro'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'agronomics-pro'),
		'desc' => __('[back-to-top] 
', 'agronomics-pro'),
		'type' => 'info');

	return $options;
}