<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Car Fix 
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" media="all" />
<![endif]-->
<?php 
	wp_head(); 
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	if( !get_option( $themename ) ) {
	require get_template_directory() . '/index-default.php';
	exit;
	}
?>
</head>

<body id="top" <?php body_class(); ?>>
<div class="sitewrapper <?php if( of_get_option('boxlayout', true) != '' ) { ?>boxlayout<?php } ?>">
<div class="site-header">	
<div class="container">
    <?php if( of_get_option('headtopstrip',true) != true) { ?>
        <div class="header-top">
            <?php if(!dynamic_sidebar('header-widget')): ?>
            <div class="left"><?php if( of_get_option('headerinfo') != '' ){ echo do_shortcode( of_get_option('headerinfo', true ));} ?></div>
            <div class="right"><?php if( of_get_option('headersocial') != '' ){ echo do_shortcode( of_get_option('headersocial', true ));} ?></div>
             <div class="clear"></div>
            <?php endif; ?>
        </div><!--end header-top-->
    <?php }else{ ?> 
    	<style>
        	.logo{ margin-top:0;}
        </style>
    <?php } ?>
 <div class="logonavigation">
      <div class="logo">
        <?php if( of_get_option( 'logo', true ) != '' ) { ; ?>
               <a href="<?php echo home_url('/'); ?>"><img src="<?php echo esc_url( of_get_option( 'logo', true )); ?>" / ></a>               
            <?php } ?>
            <?php $hidettldesc = of_get_option('hide_titledesc', '1'); ?>
				<?php if($hidettldesc == ''){ ?>
                <div class="site-branding-text">
                  <a href="<?php echo esc_url(home_url('/')); ?>"><h1><?php bloginfo('name'); ?></h1></a>
                  <span class="tagline"><?php bloginfo( 'description' ); ?></span>
               </div> 
             <?php } ?>
    </div><!-- .logo -->     
 
<div class="header-nav">

        <div class="toggle">
            <a class="toggleMenu" href="#">
            <?php if( of_get_option('menuwordchange',true) != '') { ?>
                <?php echo of_get_option('menuwordchange'); ?>         
            <?php } else { ?>                 
                <?php _e('Menu','car-fix'); ?>                
            <?php } ?>
                      </a>
        </div><!-- toggle -->
        <div class="sitenav">                   
        	<?php wp_nav_menu( array('theme_location' => 'primary') ); ?>           
       </div></div><!--.sitenav -->
               
    </div><!-- logonavigation -->
    
    <div class="clear"></div>
</div><!-- .container-->
<div class="clear"></div>
</div>

<?php if ( is_home() || is_front_page() ) { ?>
<?php if( of_get_option('customslider',true) == ''){ ?>
    <div class="slider-main">
       <?php
			$slAr = array();
			$m = 0;
			for ($i=1; $i<11; $i++) {
				if ( of_get_option('slide'.$i, true) != "" ) {
					$imgSrc 	= of_get_option('slide'.$i, true);
					$imglink	= of_get_option('slidelink'.$i, true);
					$slidebutton	= of_get_option('slidebutton'.$i, true);
					$slideurl	= of_get_option('slideurl'.$i, true);
					if ( strlen($imgSrc) > 10 ) {
						$slAr[$m]['image_src'] = of_get_option('slide'.$i, true);
						$slAr[$m]['image_button'] = of_get_option('slidebutton'.$i, true);
						$slAr[$m]['image_url'] = of_get_option('slidelink'.$i, true);
						$m++;
					}
				}
			}
			$slideno = array();
			if( $slAr > 0 ){
				$n = 0;?>
                <div id="slider" class="nivoSlider">
                <?php 
                foreach( $slAr as $sv ){
                    $n++; ?><img src="<?php echo esc_url($sv['image_src']); ?>" alt="<?php echo esc_attr($sv['image_title']);?>" title="<?php echo '#slidecaption'.$n ; ?>"/><?php
                    $slideno[] = $n;
                }
                ?>
                </div> 
                
                 <?php
                foreach( $slideno as $sln ){ ?>
                    <div id="slidecaption<?php echo $sln; ?>" class="nivo-html-caption">
                       <div class="custominfo">
                        <?php if( of_get_option('slidetitle'.$sln, true) != '' ){ ?>                          
                        	<h2><?php echo of_get_option('slidetitle'.$sln, true); ?></h2>
                        <?php } ?>
                        <?php if( of_get_option('slidedesc'.$sln, true) != '' ){ ?>                         
                             <p><?php echo do_shortcode(of_get_option('slidedesc'.$sln, true)); ?></p>
                         <?php } ?>						                        
                        <?php if( of_get_option('slideurl'.$sln, true) != '' ){ ?>
                             <a class="button" href="<?php echo of_get_option('slideurl'.$sln, true); ?>">							
                               <?php echo of_get_option('slidebutton'.$sln, true); ?>
                             </a>
                         <?php } ?> 
                         
                         </div><!-- .custominfo -->                   
                    </div><!-- #slidecaption -->
                    
					<?php } } ?>            
    </div><!-- .slider-main -->
    
<?php } else {
 $short_code = of_get_option('customslider');
 echo do_shortcode($short_code);
 } ?>
 
<?php if( of_get_option('sliderbelowformhide', true) == '' ) { ?>
<div class="container">
         <?php if( of_get_option('sliderbelowform') != '') { 
            echo do_shortcode(of_get_option('sliderbelowform')); 	
        }else{ 
            echo'<div role="form" class="wpcf7" id="wpcf7-f1791-o1" lang="en-US" dir="ltr"><div class="screen-reader-response"></div><form action="/gracethemes/allthemes/#wpcf7-f1791-o1" method="post" class="wpcf7-form" novalidate="novalidate"><div style="display: none;"><input type="hidden" name="_wpcf7" value="1791"><input type="hidden" name="_wpcf7_version" value="5.1.1"><input type="hidden" name="_wpcf7_locale" value="en_US"><input type="hidden" name="_wpcf7_unit_tag" value="wpcf7-f1791-o1"><input type="hidden" name="_wpcf7_container_post" value="0"><input type="hidden" name="g-recaptcha-response" value=""></div><div class="homecontact"><div class="leftcon lastborder"><h3>GET FREE APPOINTMENT</h3></div><div class="leftcon"><label>Name</label><br><span class="wpcf7-form-control-wrap your-name"><input type="text" name="your-name" value="" size="40" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required namefield" aria-required="true" aria-invalid="false" placeholder="NAME"></span></div><div class="leftcon"><label>Email</label><br><span class="wpcf7-form-control-wrap your-email"><input type="email" name="your-email" value="" size="40" class="wpcf7-form-control wpcf7-text wpcf7-email wpcf7-validates-as-required wpcf7-validates-as-email namefield" aria-required="true" aria-invalid="false" placeholder="EMAIL"></span></div><div class="leftcon"><label>Contact Number</label><br><span class="wpcf7-form-control-wrap your-email"><input type="text" name="your-email" value="" size="40" class="wpcf7-form-control wpcf7-text namefield" aria-invalid="false" placeholder="CONTACT NUMBER"></span></div><div class="leftcon"><label>Car Model</label><br><span class="wpcf7-form-control-wrap your-model"><input type="text" name="your-model" value="" size="40" class="wpcf7-form-control wpcf7-text namefield" aria-invalid="false" placeholder="CAR MODEL"></span></div><div class="leftcon"><label>Services</label><br><span class="wpcf7-form-control-wrap your-attend"><select name="your-attend" class="wpcf7-form-control wpcf7-select webfield" aria-invalid="false"><option value=""></option><option value="Services 1">Services 1</option><option value="Services 2">Services 2</option><option value="Services 3">Services 3</option><option value="Services 4">Services 4</option><option value="Services 5">Services 5</option></select></span></div><p><input type="submit" value="SUBMIT" class="wpcf7-form-control wpcf7-submit"><span class="ajax-loader"></span></p><div class="clear"></div></div><div class="wpcf7-response-output wpcf7-display-none"></div></form></div>';
		}; ?> 
 </div>
<?php } ?>


	<?php } else { 
		if( of_get_option('innerpagebanner',true) == '') { $cls = 'style="display:none"'; } else { $cls = ''; }
	?>        
		<div class="innerbanner" <?php echo $cls; ?>>                
          <?php
			$header_image = get_header_image();
			
			if( is_single() || is_archive() || is_category() || is_author()|| is_search()) { 
				if(!empty($header_image)){
					echo '<img src="'.esc_url( $header_image ).'" width="'.get_custom_header()->width.'" height="'.get_custom_header()->height.'" alt="" />';
				} elseif( of_get_option('innerpagebanner',true) != '') { 
        			echo '<img src="'.esc_url( of_get_option( 'innerpagebanner', true )).'" alt="">';
				}
			}
			elseif( has_post_thumbnail() ) {
				$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
				$thumbnailSrc = $src[0];
				echo '<img src="'.$thumbnailSrc.'" alt="">';
			} 
			elseif ( ! empty( $header_image ) ) {
				echo '<img src="'.esc_url( $header_image ).'" width="'.get_custom_header()->width.'" height="'.get_custom_header()->height.'" alt="" />';
            }	
			elseif( of_get_option('innerpagebanner',true) != '') { 
            	echo '<img src="'.esc_url( of_get_option( 'innerpagebanner', true )).'" alt="">';
		    } ?>
        </div> 
	<?php }	?> 
  <?php include ('section-pagecolumn.php'); ?>    