<?php       
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier chaAre you ready to tak
 nges, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'car-fix'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
	'Assistant' => 'Assistant',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',

    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',

    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
	'Showcard Gothic' => 'Showcard Gothic',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(	
		
		1 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '#280434',
			'bgimage'		=> get_template_directory_uri().'/images/sectionbg01.jpg',
			'class'			=> '',
			'content'		=> '

[tabs tabstitle="POPULAR SERVICES"]
[tab title="WHEEL WORKS" titleicon="'.get_template_directory_uri().'/images/titleicon1.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="WHEEL WORKS"]
<img src="'.get_template_directory_uri().'/images/work-wheel.jpg" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis.
<ul><li>Wheel Installation </li><li>Wheel Allignment </li><li>Wheel Refinishing </li><li>Wheel Air Filling</li><li>Wheel Straightning </li><li>Wheel Balancing </li><li>Wheel Changing </li><li>Punchure Repair </li></ul>[/tab]

[tab title="AIR CONDITIONER" titleicon="'.get_template_directory_uri().'/images/titleicon2.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="AIR CONDITIONER"]
<img src="'.get_template_directory_uri().'/images/welcome.jpg" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis.<ul><li>Wheel Installation </li><li>Wheel Allignment </li><li>Wheel Refinishing </li><li>Wheel Air Filling</li><li>Wheel Straightning </li><li>Wheel Balancing </li><li>Wheel Changing </li><li>Punchure Repair </li></ul>[/tab]

[tab title="PAINTING WORKS" titleicon="'.get_template_directory_uri().'/images/titleicon3.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="PAINTING WORKS"]
<img src="'.get_template_directory_uri().'/images/work-wheel.jpg" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis.<ul><li>Wheel Installation </li><li>Wheel Allignment </li><li>Wheel Refinishing </li><li>Wheel Air Filling</li><li>Wheel Straightning </li><li>Wheel Balancing </li><li>Wheel Changing </li><li>Punchure Repair </li></ul>[/tab]

[tab title="WATER SERVICE" titleicon="'.get_template_directory_uri().'/images/titleicon4.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="WATER SERVICE"]
<img src="'.get_template_directory_uri().'/images/welcome.jpg" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis.<ul><li>Wheel Installation </li><li>Wheel Allignment </li><li>Wheel Refinishing </li><li>Wheel Air Filling</li><li>Wheel Straightning </li><li>Wheel Balancing </li><li>Wheel Changing </li><li>Punchure Repair </li></ul>[/tab]

[tab title="ENGINE WORKS" titleicon="'.get_template_directory_uri().'/images/titleicon5.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="ENGINE WORKS"]
<img src="'.get_template_directory_uri().'/images/work-wheel.jpg" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis.<ul><li>Wheel Installation </li><li>Wheel Allignment </li><li>Wheel Refinishing </li><li>Wheel Air Filling</li><li>Wheel Straightning </li><li>Wheel Balancing </li><li>Wheel Changing </li><li>Punchure Repair </li></ul>
[/tab][/tabs]',
		),
		
			2 => array(
			'section_title'	=> 'WHY CHOOSE US?',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[row_area][services_box icon="'.get_template_directory_uri().'/images/whychoosus1.png" title="Secured services" description="Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dold do eiusmod tempor incididunt ut labore et."][services_box icon="'.get_template_directory_uri().'/images/whychoosus2.png" title="Affordable prices" description="Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dold do eiusmod tempor incididunt ut labore et."][services_box icon="'.get_template_directory_uri().'/images/whychoosus3.png" title="Qualitative car parts" description="Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dold do eiusmod tempor incididunt ut labore et."][/row_area]',
		),
		
		3 => array(
			'section_title'	=> 'EXCELLENT WORKERS',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> get_template_directory_uri().'/images/sectionbg03.jpg',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#252525" align="center" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis facilisis. Donec ultrices, diam sed efficitur semper, diam lectus malesuada nisl, eget congue nisl ligula non purus."][our-team show="-1"]'
		),
		
		4 => array(
			'section_title'	=> 'LATEST NEWS',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[latest-news showposts="-1" date="show" comment="show" author="show" excerpt="22"]',
		),
		
		5 => array(
			'section_title'	=> 'OUR SATISFIED CUSTOMERS',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#efefef',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#252525" align="center" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis facilisis. Donec ultrices, diam sed efficitur semper, diam lectus malesuada nisl, eget congue nisl ligula non purus."][testimonials]'
		),
		
		6 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#ffcb01',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[innertitle size="28px" color="#191818" fontweight="700" description="CAR A/C INSPECTION"][subtitle color="#191818" size="16px" align="left" description="Check high & low side Freon pressures with A/C machine. Check & record vent temperatures. Run complete <br />performance test."][button align="right" name="GET A QUOTE" link="#" target="_self"]',
		),	
				
		7 => array(
			'section_title'	=> 'WORK GALLERY',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> 'none',
			'bgimage'		=> get_template_directory_uri().'/images/sectionbg07.jpg',
			'class'			=> '',
			'content'		=> '[photogallery filter="false" show="8"]'
		),	
		
		
		8 => array(
			'section_title'	=> 'BRAND & PARTNERS',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[client_lists][client image="'.get_template_directory_uri().'/images/client-logo-1.jpg" title="BRAND LOGO" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#" ][client image="'.get_template_directory_uri().'/images/client-logo-2.jpg" title="BRAND LOGO" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#"][client image="'.get_template_directory_uri().'/images/client-logo-3.jpg" title="BRAND LOGO" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#"][client image="'.get_template_directory_uri().'/images/client-logo-4.jpg" title="BRAND LOGO" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#"][client image="'.get_template_directory_uri().'/images/client-logo-2.jpg" title="BRAND LOGO" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#"][/client_lists]',
		),
		
			9 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#1b1b1b',
			'bgimage'		=>  '',
			'class'			=> 'contactpanel',
			'content'		=> '[contact-details icon="fas fa-map-marker-alt" title="ADDRESS" info="10 Nr. Street Road, Ohio, USA"][contact-details icon="fas fa-phone-volume" title="PHONE" info="+91 123 852 7854"][contact-details icon="fas fa-envelope" title="EMAIL" info="info@sitename.com"]'
		),
					
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'car-fix'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'car-fix'),
		'desc' => __('Upload your main logo here', 'car-fix'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/logo.png",
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height', 'car-fix'),
		'id' => 'logoheight',
		'std' => '52',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'car-fix'),		
		'desc'	=> __('Uncheck To show site title and description', 'car-fix'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> 'true');		
		
	$options[] = array(	
		'name' => __('Layout Option', 'car-fix'),		
		'desc'	=> __('Check To Show Box Layout ', 'car-fix'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Sticky Header', 'car-fix'),
		'desc' => __('Check this to show sticky header on scroll', 'car-fix'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');		
			
	$options[] = array(
		'name' => __('Disable Animation', 'car-fix'),
		'desc' => __('Check this to hide animation on scroll', 'car-fix'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'car-fix'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'car-fix'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Header Top Social Icons', 'car-fix'),
		'desc' => __('Edit select social icons for header top', 'car-fix'),
		'id' => 'headersocial',
		'std' => '
[social_area] 
[social icon="fab fa-facebook-f" link="#"] 
[social icon="fab fa-twitter" link="#"] 
[social icon="fab fa-google-plus-g" link="#"] 
[social icon="fab fa-linkedin-in" link="#"] 
[social icon="fas fa-rss" link="#"] 
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'textarea');	
  		
		$options[] = array(
		'name' => __('Header Top Info', 'transport-pro'),
		'desc' => __('Edit header info from here. NOTE: Icon name should be in lowercase without space.(exa.phone) More social icons can be found at: http://fortawesome.github.io/Font-Awesome/icons/', 'transport-pro'),
		'id' => 'headerinfo',
		'std' => '<span class="phno"><i class="fa fa-rotate-90 fa-phone"></i> +11 123 456 7890</span> <span><i class="fa fa-envelope"></i> dummyemail@yahoo.com</span>',
		'type' => 'textarea');	
		
	$options[] = array(
		'name' => __('Header Contact info & Social Icons', 'car-fix'),
		'desc' => __('Check to hide header contact info and social icons', 'car-fix'),
		'id' => 'headtopstrip',
		'std' => '',
		'type' => 'checkbox');	
		
	// font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'car-fix'),
		'desc' => __('Select font for the body text', 'car-fix'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the textual logo', 'car-fix'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'car-fix'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'car-fix'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'car-fix'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );		
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'car-fix'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'car-fix'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'Open Sans',
		'options' => $font_types );	
		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'car-fix'),
		'desc' => __('Select font size for body text', 'car-fix'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'car-fix'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '41px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'car-fix'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'desc' => __('Select font size for section title', 'car-fix'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '33px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'car-fix'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'car-fix'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'car-fix'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'car-fix'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'car-fix'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'car-fix'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'car-fix'),
		'id' => 'h6fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);


	// font colors start

	$options[] = array(
		'name' => __('Site Colors Scheme', 'car-fix'),
		'desc' => __('Change the color scheme of hole site', 'car-fix'),
		'id' => 'colorscheme',
		'std' => '#feca00',
		'type' => 'color');
		
	$options[] = array(			
		'desc' => __('Select Second color of hover', 'car-fix'),
		'id' => 'colorscheme_hover',
		'std' => '#fbdb5e',
		'type' => 'color');		
		
	$options[] = array(	
		'name' => __('Font Colors', 'car-fix'),	
		'desc' => __('Select font color for the body text', 'car-fix'),
		'id' => 'bodyfontcolor',
		'std' => '#373735',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for header top phone and email strip', 'car-fix'),
		'id' => 'headertopfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo', 'car-fix'),
		'id' => 'logofontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'car-fix'),
		'id' => 'logotaglinecolor',
		'std' => '#272727',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'car-fix'),
		'id' => 'socialfontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for section title', 'car-fix'),
		'id' => 'sectitlecolor',
		'std' => '#191818',
		'type' => 'color');			
	
	$options[] = array(
		'desc' => __('Select font color for navigation', 'car-fix'),
		'id' => 'navfontcolor',
		'std' => '#000000',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for homepage top four services title', 'car-fix'),
		'id' => 'hometopfourbxtitlecolor',
		'std' => '#1f1f1f',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select font color for widget title', 'car-fix'),
		'id' => 'wdgttitleccolor',
		'std' => '#444444',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'car-fix'),
		'id' => 'foottitlecolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'car-fix'),
		'id' => 'footdesccolor',
		'std' => '#828282',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer Copyright text', 'car-fix'),
		'id' => 'designcolor',
		'std' => '#828282',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'car-fix'),
		'id' => 'linkhovercolor',
		'std' => '#282828',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'car-fix'),
		'id' => 'sidebarfontcolor',
		'std' => '#78797c',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'car-fix'),
		'id' => 'copylinkshover',
		'std' => '#ababab',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'car-fix'),
		'id' => 'h1fontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'car-fix'),
		'id' => 'h2fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'car-fix'),
		'id' => 'h3fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'car-fix'),
		'id' => 'h4fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'car-fix'),
		'id' => 'h5fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'car-fix'),
		'id' => 'h6fontcolor',
		'std' => '#000000',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'car-fix'),
		'id' => 'footsocialcolor',
		'std' => '#646464',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'car-fix'),
		'id' => 'galleryfiltercolor',
		'std' => '#111111',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'car-fix'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#ff8800',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'car-fix'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#828282',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'car-fix'),
		'id' => 'widgetboxfontcolor',
		'std' => '#6e6d6d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts title', 'car-fix'),
		'id' => 'footerpoststitlecolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'car-fix'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	// Background start			
	$options[] = array(
		'name' => __('Background Colors', 'car-fix'),		
		'desc' => __('Select background color for site header top strip', 'car-fix'),
		'id' => 'headertopbgcolor',
		'std' => 'none',
		'type' => 'color');
	
	$options[] = array(
		'desc' => __('Select background color for site header', 'car-fix'),
		'id' => 'headerbgcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for Our Features', 'car-fix'),
		'id' => 'ourfeaturedsbgcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for footer', 'car-fix'),
		'id' => 'footerbgcolor',
		'std' => '#1b1b1b',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select background color for footer copyright', 'car-fix'),
		'id' => 'copybgcolor',
		'std' => '#1b1b1b',
		'type' => 'color');	
		
		
	$options[] = array(
		'desc' => __('Select background color for client testimonials pager dots', 'car-fix'),
		'id' => 'testidotsbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select background color for sidebar widget box', 'car-fix'),
		'id' => 'widgetboxbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
					

	// Border colors			
	$options[] = array(	
		'name' => __('Border Colors', 'car-fix'),		
		'desc' => __('Select border color for sidebar li a', 'car-fix'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');	
		
	$options[] = array(			
		'desc' => __('Select border color for top navigation li and dropdown', 'car-fix'),
		'id' => 'navlibdcolor',
		'std' => '#2a2927',
		'type' => 'color');

	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'car-fix'),
		'desc' => __('Select background hover color for default button', 'car-fix'),
		'id' => 'btnbghvcolor',
		'std' => '#555555',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'car-fix'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'car-fix'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');						

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'car-fix'),				
		'desc' => __('Select font color for slider title', 'car-fix'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'car-fix'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'car-fix'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '50px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'car-fix'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'car-fix'),
		'desc' => __('Select background color for slider pager (dots)', 'car-fix'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');		
		
/*	$options[] = array(
		'desc' => __('Select background color for slider caption ', 'car-fix'),
		'id' => 'slidercaptionbg',
		'std' => 'none',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background opacity color for header slider caption', 'car-fix'),
		'id' => 'captionopacity',
		'std' => '0.5',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,'0.1'=>0.1,'0.0'=>0.0,));			
		 */
		
	$options[] = array(	
		'name' => __('Excerpt Lenth', 'car-fix'),			
		'desc' => __('Select excerpt length for testimonials section', 'car-fix'),
		'id' => 'testimonialsexcerptlength',
		'std' => '25',
		'type' => 'text');

	$options[] = array(		
		'desc' => __('Select excerpt length for blog templates posts', 'car-fix'),
		'id' => 'blogpostexcerptlength',
		'std' => '25',
		'type' => 'text');

	$options[] = array(		
		'desc' => __('Change read more button text for latest blog post', 'car-fix'),
		'id' => 'readmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'car-fix'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'car-fix'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'car-fix'),
		'desc' => __('Select layout. eg:ight-sidebar, left-sidebar, full-width', 'car-fix'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Team Single Layout', 'car-fix'),
		'desc' => __('Select layout. eg:left,right,full', 'car-fix'),
		'id' => 'teamsinglelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Team Single Right Sidebar', 'singleleft'=>'Team Single Left Sidebar', 'sitefull'=>'Team Single Full Width', 'nosidebar'=>'Team Single No Sidebar') );		
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'car-fix'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'car-fix'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'car-fix'),	
		'desc' => __('manage testimonials rotating speed.', 'car-fix'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','car-fix'),
		'id' => 'testimonialsautoplay',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			
		

	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'car-fix'),
		'type' => 'heading');	
		
	$options[] = array(
		'name' => __('Get Free Apointment Form', 'car-fix'),
		'desc' => __('Add Contact Form 7 Shortcode', 'car-fix'),
		'id' => 'sliderbelowform',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Disable Apointment Form', 'car-fix'),
		'desc' => __('Check to disable Apointment Form', 'car-fix'),
		'id' => 'sliderbelowformhide',
		'std' => '',
		'type' => 'checkbox');	

	$options[] = array(	
		'name' => __('Our Services Section Title', 'car-fix'),
		'desc' => __('Change custom heading text for page', 'car-fix'),
		'id' => 'sectionservicestitle',
		'std' => 'OUR SERVICES',
		'type' => 'text');		

	$options[] = array(			
		'name' => __('Six box Our Services Section', 'car-fix'),
		'desc'	=> __('first Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first box.', 'car-fix'),
		'id' => 'boximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'car-fix'),
		'id' => 'boximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'car-fix'),
		'id' => 'boximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	
	$options[] = array(	
		'desc'	=> __('Fourth Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth box.', 'car-fix'),
		'id' => 'boximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
		
	$options[] = array(	
		'desc'	=> __('Fifth Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box5',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fifth box.', 'car-fix'),
		'id' => 'boximg5',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
		
	$options[] = array(	
		'desc'	=> __('Six Our Services box for frontpage section','car-fix'),
		'id' 	=> 'box6',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for six box.', 'car-fix'),
		'id' => 'boximg6',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for Our Services page section', 'car-fix'),
		'id' => 'serviceslength',
		'std' => '15',
		'type' => 'text');	
	
	$options[] = array(			
			'desc'	=> __('Check to hide Our Services six column section', 'car-fix'),
			'id'	=> 'hidefourbxsec',
			'type'	=> 'checkbox',
			'std'	=> '');
			
			
	$options[] = array(
		'name' => __('Our Features Section Title', 'car-fix'),
		'desc' => __('Change custom heading text for page', 'car-fix'),
		'id' => 'currentourfeatureds',
		'std' => 'OUR FEATURES',
		'type' => 'text');
		
	
	$options[] = array(	
		'desc' => __('Change custom heading text for sub title page', 'car-fix'),
		'id' => 'currentourfeaturedssubtitle',
		'std' => '[subtitle size="16px" color="#bababa" align="center" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur hendrerit. Vestibulum aliquet enim ac eros mattis facilisis. Donec ultrices, diam sed efficitur semper, diam lectus malesuada nisl, eget congue nisl ligula non purus."]',
		'type' => 'textarea');	
	
	$options[] = array(
		'name' => __('Three box Our Features Section', 'car-fix'),
		'desc'	=> __('first Our Features box for frontpage section','car-fix'),
		'id' 	=> 'ourfeaturedbox1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first ourfeatured Box.', 'car-fix'),
		'id' => 'ourfeaturedboximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Our Features Box for frontpage section','car-fix'),
		'id' 	=> 'ourfeaturedbox2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second ourfeatured Box.', 'car-fix'),
		'id' => 'ourfeaturedboximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Our Features Box for frontpage section','car-fix'),
		'id' 	=> 'ourfeaturedbox3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third ourfeatured Box.', 'car-fix'),
		'id' => 'ourfeaturedboximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	
	$options[] = array(	
		'desc'	=> __('Fourth Our Features Box for frontpage section','car-fix'),
		'id' 	=> 'ourfeaturedbox4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth ourfeatured Box.', 'car-fix'),
		'id' => 'ourfeaturedboximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for Our Features page section', 'car-fix'),
		'id' => 'ourfeaturedlength',
		'std' => '15',
		'type' => 'text');
				
	$options[] = array(		
		'desc' => __('change Read More button text for Our Features section', 'car-fix'),
		'id' => 'ourfeaturedreadmore',
		'std' => 'READ MORE',
		'type' => 'text');
		
	$options[] = array(			
		'desc'	=> __('Check to hide Our Features section', 'car-fix'),
		'id'	=> 'hideourfeaturedssec',
		'type'	=> 'checkbox',
		'std'	=> '');		

	$options[] = array(		
		'desc' => __('Upload background image for Our Features section', 'car-fix'),
		'id' => 'ourfeaturesbg',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/featuredbg.jpg",
		'type' => 'upload');
			
	$options[] = array(	
		'name' => __('Welcome Section', 'car-fix'),
		'desc'	=> __('select page for Welcome','car-fix'),
		'id' 	=> 'welcomebox',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for Welcome page', 'car-fix'),
		'id' => 'welcomeimg',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc' => __('Change custom heading text for About Our Charity page', 'car-fix'),
		'id' => 'welcomeheadingtext',
		'std' => 'Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet',
		'type' => 'textarea');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for About Our Charity page section', 'car-fix'),
		'id' => 'welcomepagelength',
		'std' => '70',
		'type' => 'text');
		
$options[] = array(	
		'desc' => __('Welcome Text below shortcode', 'car-fix'),
		'id' => 'welcome_features',
		'std' => '[welcome-features image="'.get_template_directory_uri().'/images/welcome-icon-1.png" title="Dedicated Team" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur"][welcome-features image="'.get_template_directory_uri().'/images/welcome-icon-2.png" title="Delivery on Time" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur"]',
		'type' => 'textarea');	

	$options[] = array(			
		'desc'	=> __('Check to hide Welcome Section', 'car-fix'),
		'id'	=> 'hidewelcomesection',
		'type'	=> 'checkbox',
		'std'	=> '');	//wild safari zoo sectiom end			
	
	$options[] = array(
		'name' => __('Number of Sections', 'car-fix'),
		'desc' => __('Select number of sections', 'car-fix'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '9',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 9 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'car-fix'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'car-fix'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'car-fix'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'car-fix'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'car-fix'),
			'desc' => __('Select background color for section', 'car-fix'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'car-fix'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'car-fix'),
			'desc' => __('Set class for this section.', 'car-fix'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'car-fix'),
			'desc'	=> __('Check to hide this section', 'car-fix'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'car-fix'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'car-fix'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'car-fix'),
		'desc' => __('Upload inner page banner for site', 'car-fix'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'car-fix'),
		'desc' => __('Enter here your slider shortcode without php tag', 'car-fix'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'car-fix'),
		'desc' => __('Select slider effect.','car-fix'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'car-fix'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'car-fix'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'car-fix'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','car-fix'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','car-fix'),
		'id' => 'slidepage',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','car-fix'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));
				
	$options[] = array(
		'name' => __('Slider Image 1', 'car-fix'),
		'desc' => __('First Slide', 'car-fix'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'car-fix'),
		'id' => 'slidetitle1',
		'std' => 'We Give Best <span>Car</span> Service',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc1',
		'std' => 'Lorem ipsum dolor sit amet, consectetur adipiscing Vivamus eu pharetra ex. Etiam eget diam ligula sed at blandit ante.',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton1',
		'std' => 'READ MORE',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl1',
		'std' => '#link1',
		'type' => 'text');		
			
	$options[] = array(
		'name' => __('Slider Image 2', 'car-fix'),
		'desc' => __('Second Slide', 'car-fix'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'car-fix'),
		'id' => 'slidetitle2',
		'std' => 'Make Your <span>Car</span> Last Longer',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc2',
		'std' => 'Tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis exercitation.',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton2',
		'std' => 'READ MORE',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl2',
		'std' => '#link2',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'car-fix'),
		'desc' => __('Third Slide', 'car-fix'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 3', 'car-fix'),
		'id' => 'slidetitle3',
		'std' => 'Reliable <span>repair</span> Of Your Car',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc3',
		'std' => 'Lorem ipsum dolor sit amet, consectetur adipiscing Vivamus eu pharetra ex. Etiam eget diam ligula sed at blandit ante.',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton3',
		'std' => 'READ MORE',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl3',
		'std' => '#link3',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'car-fix'),
		'desc' => __('Third Slide', 'car-fix'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'car-fix'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'car-fix'),
		'desc' => __('Fifth Slide', 'car-fix'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'car-fix'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'car-fix'),
		'desc' => __('Sixth Slide', 'car-fix'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'car-fix'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'car-fix'),
		'desc' => __('Seventh Slide', 'car-fix'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'car-fix'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'car-fix'),
		'desc' => __('Eighth Slide', 'car-fix'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'car-fix'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'car-fix'),
		'desc' => __('Ninth Slide', 'car-fix'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'car-fix'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'car-fix'),
		'desc' => __('Tenth Slide', 'car-fix'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'car-fix'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'car-fix'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'car-fix'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'car-fix'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
	

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'car-fix'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Footer Social Icons', 'car-fix'),
		'desc' => __('social icons for footer', 'car-fix'),
		'id' => 'footersocialicon',
		'std' => '
[social_area]
[social icon="fab fa-facebook-f" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-linkedin-in" link="#"]
[social icon="fab fa-google-plus-g" link="#"]				
[/social_area]',
		'type' => 'textarea');			
		
	$options[] = array(
		'name' => __('Footer Layout', 'car-fix'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'car-fix'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );	
				
	$options[] = array(
		'name' => __('Footer About Title', 'car-fix'),
		'desc' => __('About title for footer', 'car-fix'),
		'id' => 'abouttitle',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Footer About Logo', 'car-fix'),
		'desc' => __('About Logo for footer', 'car-fix'),
		'id' => 'abouttitlelogo',
		'std' => get_template_directory_uri().'/images/footer-logo.png',
		'type' => 'upload');
		
	$options[] = array(
		'name' => __('About Description', 'car-fix'),
		'desc' => __('About description for footer', 'car-fix'),
		'id' => 'aboutusdescription',
		'std' => '<p>diam lectus malesuada nisl, eget congue nisl ligula non purus. Phasellus at dapibus magna. Ut imperdiet neque a sem pellentesque venenatis. Sed efficitur arcu ac sapien pharetra.</p>[button align="left" name="READ MORE" link="#" target=""]',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Footer Quick link title', 'car-fix'),
		'desc' => __('Add footer quick link title here', 'car-fix'),
		'id' => 'quicklinktitle',
		'std' => 'Quick Links',
		'type' => 'text');	
		
	
	$options[] = array(
		'name' => __('Footer Working Hours Title', 'car-fix'),
		'desc' => __('Footer Working Hours title.', 'car-fix'),
		'id' => 'ourservicestitle',
		'std' => 'Working Hours',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Footer Working Hours', 'car-fix'),
		'desc' => __('Footer Working Hours.', 'car-fix'),
		'id' => 'servicesarea',
		'std' => '
		[workinghours day="Monday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Tuesday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Wednesday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Thursday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Friday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Saturday:" time="9:30 am - 6.00 pm"]
		[workinghours day="Sunday:" time="Closed"]',
		'type' => 'textarea');		
			
	$options[] = array(
		'name' => __('Latest Posts', 'car-fix'),
		'desc' => __('Add latest post title here', 'car-fix'),
		'id' => 'letestpoststitle',
		'std' => 'Latest Posts',
		'type' => 'text');	
		
		
	$options[] = array(
		'desc' => __('Footer Copyright text', 'car-fix'),
		'id' => 'copytext',
		'std' => 'Copyright &copy; 2019 Car Fix. Design & Developed By <a href="'.esc_url('https://www.gracethemes.com/').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
$options[] = array(
		'desc' => __('Footer Social Link', 'car-fix'),
		'id' => 'ftlink',
		'std' => '[social_area][social icon="fab fa-facebook-f" link="#"][social icon="fab fa-twitter" link="#"][social icon="fab fa-google-plus-g" link="#"][social icon="fab fa-linkedin-in" link="#"][social icon="fas fa-rss" link="#"][social icon="fab fa-youtube" link="#"][/social_area]',
		'type' => 'textarea',);
		
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'car-fix'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);
		
	//Contact Page
	$options[] = array(
		'name' => __('Contact Us Page', 'car-fix'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Contact page details', 'car-fix'),
		'desc' => __('Add contact page details here', 'car-fix'),
		'id' => 'contactpagedetails',
		'std' => '[column_content type="one_half"]
[contact-details icon="fas fa-map-marker-alt" title="Address:" info="10 Nr. Street Road, Ohio, USA"]
[contact-details icon="fas fa-phone-square" title="Contact No:" info="+91 345-677-554"]
[contact-details icon="fas fa-envelope" title="Email Address:" info="info@sitename.com"]
[contact-details icon="fab fa-skype" title="Skype Id:" info="mysiteweb"]
[contact-details icon="far fa-clock" title="Working Days:" info="monday-friday 10.00AM-6.00PM"]	

<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d412505.271238499!2d-115.45519531659504!3d36.12522845626667!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80beb782a4f57dd1%3A0x3accd5e6d5b379a3!2sLas+Vegas%2C+NV%2C+USA!5e0!3m2!1sen!2sin!4v1538305726773" width="500" height="225" frameborder="0" style="border:0" allowfullscreen></iframe>

[/column_content]

[column_content type="one_half_last"]
[contactform to_email="test@example.com" title="Contact Form"] 
[/column_content]',
		'type' => 'editor');
		
		

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'car-fix'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Counter', 'car-fix'),
		'desc' => __('
		[counter bgcolor="#6aa601" image="image path with https" value="2000" title="Clients"]<br />
		[counter bgcolor="#71ae05" image="image path with https" value="2240" title="Safaries"]<br />
		[counter bgcolor="#76b40b" image="image path with https" value="280" title="Volunteers "]<br />
		[counter bgcolor="#7bb811" image="image path with https" value="1000" title="Reviews"]', 'car-fix'),
		'type' => 'info');

	$options[] = array(
		'name' => __('Tab Sections ', 'car-fix'),
		'desc' => __('[tabs tabstitle="POPULAR SERVICES"]
[tab title="WHEEL WORKS" titleicon="ADD IMAGE URL/images/titleicon1.png"]
[innertitle size="40px" color="#ffffff" fontweight="700" description="WHEEL WORKS"]
<img src="ADD IMAGE URL" />
<h5>The trusted experts will to keep you safe on the road.</h5>
Add description here[/tab][/tabs]', 'car-fix'),
		'type' => 'info');

	$options[] = array(
		'name' => __('Video image', 'car-fix'),
		'desc' => __('[custom-video youtubeid="5ThQLGbt8bM" image="image path with https cover photo"]', 'car-fix'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Our Services', 'car-fix'),
		'desc' => __('[services_box icon="ADD IMAGE URL/images/whychoosus1.png" title="Secured services" description="Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dold do eiusmod tempor incididunt ut labore et."]', 'car-fix'),
		'type' => 'info');
	
	$options[] = array(
		'name' => __('Latest News', 'car-fix'),
		'desc' => __('[latest-news showposts="-1" date="show" comment="show" author="show" excerpt="22"]', 'car-fix'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('OUR CLIENT ', 'car-fix'),
		'desc' => __('[client_lists][client image="ADD IMAGE URL HERE/images/client-logo-1.jpg" title="LOREM IPSUM DOLOR" description="Aliquam erat volutpat. Quisque posuere elit ut efficitur" detail="DETAIL" link="#" ][/client_lists]', 'car-fix'),
		'type' => 'info');	
			
			
	$options[] = array(
		'name' => __('Contact Info', 'car-fix'),
		'desc' => __('[contact-details icon="fas fa-map-marker-alt" title="ADDRESS" info="10 Nr. Street Road, Ohio, USA"]', 'car-fix'),
		'type' => 'info');				
			
			
	$options[] = array(
		'name' => __('Our Team', 'car-fix'),
		'desc' => __('[our-team show="-1"]', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Working Hours', 'car-fix'),
		'desc' => __('[workinghours day="Monday:" time="9:30 am - 6.00 pm"]', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'car-fix'),
		'desc' => __('[testimonials]', 'car-fix'),
		'type' => 'info');
		
	
	$options[] = array(
		'name' => __('Photo Gallery', 'car-fix'),
		'desc' => __('[photogallery filter="true" show="8"]', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Our Skills', 'car-fix'),
		'desc' => __('[skill title="Adobe Photoshop" percent="90" bgcolor="#feca00"]<br />
		[skill title="WordPress" percent="60" bgcolor="#feca00"]<br />
		[skill title="Photography" percent="70" bgcolor="#feca00"]<br />
		[skill title="SEO" percent="50" bgcolor="#feca00"]', 'car-fix'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Contact Details', 'car-fix'),
		'desc' => __('[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]<br />
	 [contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]<br />
	 [contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]<br />
	 [contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]<br />
	 [contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	', 'car-fix'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Contact Form', 'car-fix'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Button', 'car-fix'),
		'desc' => __('[button align="center" name="Read More" link="#" target=""]', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Search Form', 'car-fix'),
		'desc' => __('[searchform]', 'car-fix'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: https://fontawesome.com/icons/)', 'car-fix'),
		'desc' => __('[social_area]<br />
			[social icon="fab fa-facebook-f" link="#"]<br />
			[social icon="fab fa-twitter" link="#"]<br />
			[social icon="fab fa-linkedin-in" link="#"]<br />
			[social icon="fab fa-google-plus-g" link="#"]<br />
		[/social_area]', 'car-fix'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'car-fix'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'car-fix'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'car-fix'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'car-fix'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'car-fix'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'car-fix'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'car-fix'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'car-fix'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'car-fix'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'car-fix'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'car-fix'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'car-fix'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'car-fix'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'car-fix'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'car-fix'),
		'desc' => __('<pre>
[clear]
</pre>', 'car-fix'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Blank Height (space)', 'car-fix'),
		'desc' => __('<pre>
[space height="20px"]
</pre>', 'car-fix'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'car-fix'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'car-fix'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'car-fix'),
		'desc' => __('[subtitle color="#111111" size="15px" align="left" description="short descriptio here"]', 'car-fix'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'car-fix'),
		'desc' => __('[back-to-top] 
', 'car-fix'),
		'type' => 'info');

	return $options;
}