<?php
/**
 * @package Grace News Pro
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('grace_news_pro_optionsframework_custom_scripts', 'grace_news_pro_optionsframework_custom_scripts');
function grace_news_pro_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php    
}  

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'grace-news-pro' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// Social Icon Shortcodes
function grace_news_pro_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','grace_news_pro_social_area');

function grace_news_pro_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','grace_news_pro_social');

function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );		
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>								
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $phone, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p>
			<p><input type=\"tel\" name=\"c_phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone\" /></p>			
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p>";
	$cform .= "<p class=\"cptcode\"><span class=\"capcode\">$sumStr</span></p><p><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p>";
	$cform .= "<p><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)">'.$title.'</a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
// [button name="" align="" link="" target="_self"]
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="morebutton" href="'.$link.'" target"'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');

// Button Shortcode
function readmorebtn_style2_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',	
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="buttonstyle1" href="'.$link.'" target"'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('buttonstyle2','readmorebtn_style2_fun');

// space Shortcode
// [space height="20px"]
function space_fun($atts){
	extract(shortcode_atts(array(
	'height'	=> '',	
	), $atts));
	return '<div class="space" style="height:'.$height.'"></div>';
	}
add_shortcode('space','space_fun');

// space Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',
	'margin'	=> '',
	'description'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; margin:'.$margin.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');


// Latest Post
function latestpostsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'show' => '',
		'excerptlength' => '',
		'readmore' => '',
		'catname' => '',
	), $atts ) );
	$postoutput = '';
	$postoutput .= '<div class="latestnews">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'category_name' => $catname, 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%3==0 )  $nomgn = 'nomargin';	else $nomgn = ' ';
			$categories = get_the_category();
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$postoutput .= ''.(($n%3==1) ? '<div class="post-row">' : '');	
			$postoutput .= '
			<div class="news-box '.$nomgn.'">
					<div class="news-thumb">
						<a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a>
					</div>
					<div class="news"><div class="newscontent">
						
						<a href="'.get_the_permalink().'"><h4>'.get_the_title().'</h4></a>
						<span class="post-cate"> '.get_the_date().'</span>
						<span class="spanright"> <a href="'.get_comments_link().'">'.get_comments_number().' Comments</a></span>
						<p>'.wp_trim_words( get_the_content(), $excerptlength ).'</p>
						
						<a class="read-more" href="'.get_the_permalink().'">'.$readmore.'</a>
						</div>
						
		 			</div>
			</div>';	
			$postoutput .= ''.(($n%3==0) ? '<div class="clear"></div></div>' : '');	
		endwhile;
	endif;
	$postoutput .= '</div>';
	wp_reset_query();
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestpostsoutput_func' );

define('GRACE_THEME_DOC','http://www.gracethemesdemo.com/documentation/grace-news/');
 
// [postslider catname="Fashion" showposts="1"]
function postslider_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'date' => '',
		'showposts' => '',	
	), $atts ) );
	$bposts2 = '';		
	$bposts2 = '<div class="catslider">';	
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );	
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			if($date=='show'){   
				$post_date = '<div class="spanrightleftclear"><i class="fas fa-calendar-alt"></i> '.get_the_date().'</div><style>.slide-caption h2{ padding-bottom:10px;}</style>';
			} else {
				$post_date = '';
			}
			$bposts2 .= '<div class="item">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<a href="'.get_the_permalink().'" class="hvr-grow">'.get_the_post_thumbnail().'</a>';
			}else{
			 $bposts2 .= '<a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a>';
			}
			$bposts2 .= '<div class="slide-caption"><a href="'.get_the_permalink().'"><h2>'.get_the_title().'</h2></a>'.$post_date.' </div>';			
			$bposts2 .= '</div>';
 		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	$bposts2 .= '</div>';
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postslider', 'postslider_func' );
//Single Larg Full Post End


// [postlayout1 catname="" showposts="3" titlecolor=""]
function postlayout1_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$bposts2 .= '<div class="postlayout1">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a>';
			}else{
			 $bposts2 .= '<a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a>';
			}
			$bposts2 .= '<span class="catnamebox">'.getPostCategories().'</span><a href="'.get_the_permalink().'"><div class="postlayout1-title"><h6 style="color:'.$titlecolor.'">'.get_the_title().'</h6></div></a>';
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout1', 'postlayout1_func' );
//Single Larg Full Post End



// [postlayout-carousel catname="Fashion" showposts="1"]
function postlayoutcarousel_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',
		'date'  => '',
		'bgcolor'  => '',
	), $atts ) );
	$bposts2 = '';		
	$bposts2 = '<div class="postlayout-carousel">';	
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );	
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			if($date=='show'){   
				$post_date = '<span class="spanrightleftclear"><i class="fas fa-calendar-alt"></i> '.get_the_date().'</span>';
			} else {
				$post_date = '';
			}
			
			$bposts2 .= '<div class="item" style="background:'.$bgcolor.'">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="postlayoutcarousel-thumb"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			 $bposts2 .= '<div class="postlayoutcarousel-thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			}
			$bposts2 .= '<div class="content-area-post">';
			$bposts2 .= ''.$post_date.'';
			$bposts2 .= '<a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>';
  			$bposts2 .= '<div class="clear"></div>';
			$bposts2 .= '</div>';
			$bposts2 .= '</div>';
 		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	$bposts2 .= '</div>';
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout-carousel', 'postlayoutcarousel_func' );
//Single Larg Full Post End


// [postlayout2 catname="" showposts="4" excerptlength="30" readmore=""]
function postlayout2_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	$bposts2 .= '<div class="three-col">';
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			if( $n%2==0 )  $nomgn = 'nomargin';	else $nomgn = ' ';
			the_post();
		$bposts2 .= '<div class="postlayout2 '.$nomgn.'"> ';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="postlayout2-thumb"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			 $bposts2 .= '<div class="postlayout2-thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			 
			}
			$bposts2 .= '<div class="padding-area">';
			$bposts2 .= '<a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>
			<span class="spanrightleftclear"><i class="fas fa-calendar-alt"></i>  '.get_the_date().'</span>
			'.wp_trim_words( get_the_content(), $excerptlength, '' ).'<div class="clear"></div>';
			$bposts2 .= ''.( ($readmore!='') ? '<span class="spanleftread"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).'';
 			$bposts2 .= '<div class="clear"></div>';
			$bposts2 .= '</div>';
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%2==0) ? '<div class="clear"></div>' : '');	
		}
		$bposts2 .= '</div>';
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout2', 'postlayout2_func' );



// [postlayout3 catname="" showposts="4" excerptlength="30" readmore=""]
function postlayout3_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	$bposts2 .= '<div class="three-col">';
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
		$bposts2 .= ''.(($n==1) ? '
			<div class="postlayout3-full">
				<div class="postlayout3-thumb"><a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a></div>
						<a href="'.get_the_permalink().'"><h4>'.get_the_title().'</h4></a>
			</div>' : '');	
			
	$bposts2 .= ''.(($n != 1) ? '
			<div class="postlayout3">
				<div class="postlayout3-thumb"><img src="'.$imgUrl.'" alt="" /></div>	
				<div class="postlayout3-content">
				<a href="'.get_the_permalink().'"><h4>'.get_the_title().'</h4></a>
				<p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p>
				<span>BY '.get_the_author_posts_link().'</span> <span>'.get_the_date().'</span>	
				'.( ($readmore!='') ? '<span class="spanleftread"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).'
				</div>
			</div>' : '');	
			$bposts2 .= ''.(($n%1==0) ? '' : '');	
		}
		$bposts2 .= '</div>';
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout3', 'postlayout3_func' );




// Sidebar Post [sidebarpost catname="Fashion" showposts="1" sidecontlength="" readmore=""]
function sidebarpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$sidebarposts .= '<div class="sidebarpost">';
			if ( has_post_thumbnail()) {
			$sidebarposts .= '<div class="sidepost_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$sidebarposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><h6>'.get_the_title().'</h6></a>';
			$sidebarposts .= '<span class="spancentertitle">'.getPostCategories().'  /  '.get_the_date().'</span> ';
			$sidebarposts .= '<div class="side-post-content"><p>'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p></div>';
			$sidebarposts .= '</div>';
//			$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= 'This post is empty!';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost', 'sidebarpost_func' );
//Sidebar Post End

// Sidebar Post [sidebarpost catname="Fashion" showposts="1" sidecontlength="" readmore=""]
function sidebarpost1_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'color' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$sidebarposts .= '<div class="sidebarpost1">';
			if ( has_post_thumbnail()) {
				$sidebarposts .= '<div class="sidepost1_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			$sidebarposts .= '<div class="sidepost1_thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			}
			$sidebarposts .= '<div class="side-post1-content">
			<a href="'.get_permalink().'" title="'.get_the_title().'"><h6 style="color:'.$color.';">'.get_the_title().'</h6></a>
			<p style="color:'.$color.';">'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p>
			<span class="spanrightleftclear" style="color:'.$color.';">Posted: '.getPostCategories().' / '.get_the_date().'</span>
			</div>';
			$sidebarposts .= '</div>';
 		$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= 'This post is empty!';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost1', 'sidebarpost1_func' );
//Sidebar Post End

// [businessnews catname="" showposts="4" excerptlength="30" readmore=""]
function businessnews_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
		'date' => '',
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$bposts2 .= '<div class="businessnewsbox-row"> ';
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) { while ( have_posts() ) { $n++;
		if($date=='show'){   
				$post_date = '<div class="spanrightleftclear"><i class="fas fa-calendar-alt"></i> '.get_the_date().'</div>';
			} else {
				$post_date = '';
			}
			if( $n%2==0 )  $bgimagenone = 'bgimagenone';	else $bgimagenone = ' ';
			the_post();
		$bposts2 .= '<div class="businessnewsbox hvr-grow '.$bgimagenone.'"> ';
		if ( has_post_thumbnail()) {
			$bposts2 .= '<div class="imagesbox"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
		}else{
			$bposts2 .='<div class="imagesbox"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
		}
		$bposts2 .= '<div class="business-list-content">
			'.$post_date.'
			<h6 class="business-list-title"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h6>
			<p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p>';
		$bposts2 .= ''.( ($readmore!='') ? '<a class="business-list-button" href="'.get_the_permalink().'">'.$readmore.'</a>' : '' ).'';
		$bposts2 .= '</div></div>';
		$bposts2 .= ''.(($n%3==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	$bposts2 .= '</div> ';
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'businessnews', 'businessnews_func' );


// Social Icon Shortcodes
function custum_sidebar_fun($atts,$content = null){
  return '<div class="custum-sidebar">'.do_shortcode($content).'</div>';
 }
add_shortcode('custum_sidebar','custum_sidebar_fun');


function custum_widgets_area($atts, $content){
	 extract(shortcode_atts(array(
	  'title' => '',
	 ), $atts));
	  return '
	  <div class="custum-widgets">
			<h6>'.$title.'</h6>
			
			<div class="custum-widgets-area">
				'.do_shortcode($content).'
			</div>
		</div>
	  ';
	 }
add_shortcode('custum_widget','custum_widgets_area');

/* [most_video title="" address="" icon="" ] */
function most_notable_videos($atts, $content = null){
	extract( shortcode_atts(array(
		'url'  => '',
		'image'  => '',
		'title'  => '',		
		'youtubeid'  => '',
		'description'  => '',
	), $atts));
	return '
		<div class="most_video">
			<div class="most_video_bg">
				<div class="video-title-desc">
					<h3>'.$title.'</h3>
					<p>'.$description.'</p>
					<a href="'.$url.'" class="youtube-link" youtubeid="'.$youtubeid.'"><i class="fas fa-caret-right"></i></a>
				</div>
			   <img src="'.$image.'"  alt="" />
			</div>
		</div>';
	}
add_shortcode('most_video','most_notable_videos');


// [row_area]
// Social Icon Shortcodes
function row_area_fun($atts,$content = null){
  return '<div class="row">'.do_shortcode($content).'</div>';
 }
add_shortcode('row_area','row_area_fun');


// [post_category_count]
function count_post_category(){
      $args = array(
      'orderby'            => 'name',
      'order'              => 'ASC',
      'style'              => 'list',
      'show_count'         => 0,
      'hide_empty'         => 1,
      'title_li'           => __( '' ),
      'show_option_none'   => __( '' ),
      'echo'               => 0,
      'pad_counts'         => 1,
      'taxonomy'           => 'category',
        );
		$variable = '<ul class="sidebar-list">'.wp_list_categories($args).'</ul>';
        $variable = str_replace('(', '<span class="count">(', $variable);
        $variable = str_replace(')', ')</span>', $variable);
        return $variable;
      return wp_list_categories( $args );
    }
add_shortcode('post_category', 'count_post_category');

// Archive Shortcode [archives show="5"]
function my_archives($params, $content = null) {
	extract(shortcode_atts(array( 
	'show' => '',
	), $params)); ob_start(); ?>
	<ul><?php wp_get_archives( array( 'type' => 'monthly', 'limit' => $show ) ); ?></ul>
<?php return ob_get_clean();
}
add_shortcode('archives','my_archives');
 
 

//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'the-church' ),
		'singular_name'      => __( 'Our Team', 'the-church' ),
		'add_new'            => __( 'Add New', 'the-church' ),
		'add_new_item'       => __( 'Add New Team Member', 'the-church' ),
		'edit_item'          => __( 'Edit Team Member', 'the-church' ),
		'new_item'           => __( 'New Member', 'the-church' ),
		'all_items'          => __( 'All Members', 'the-church' ),
		'view_item'          => __( 'View Members', 'the-church' ),
		'search_items'       => __( 'Search Team Members', 'the-church' ),
		'not_found'          => __( 'No Team members found', 'the-church' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'the-church' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );

// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
	$pint = get_post_meta( $team->ID, 'google', true );
	$googlelink = esc_url( get_post_meta( $team->ID, 'googlelink', true ) );
    $dribbble = get_post_meta( $team->ID, 'dribbble', true );
	$dribbblelink = get_post_meta( $team->ID, 'dribbblelink', true );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="dribbble" value="<?php echo $dribbble; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="dribbblelink" value="<?php echo $dribbblelink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 5</td>
            <td width="40%"><input type="text" name="google" value="<?php echo $pint; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="googlelink" value="<?php echo $googlelink; ?>" /></td>
        </tr>
        <tr>
        	<td width="100%" colspan="3"><label style="font-size:12px;"><strong>Note:</strong> Icon name should be in lowercase without space. More social icons can be found at: https://fontawesome.com/icons</label> </td>
        </tr>
    </table>
    <?php                   
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for 
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['dribbble']) ) {
            update_post_meta( $team_id, 'dribbble', $_POST['dribbble'] );
        }
		if ( isset($_POST['dribbblelink']) ) {
            update_post_meta( $team_id, 'dribbblelink', $_POST['dribbblelink'] );
        }
		if ( isset($_POST['google']) ) {
            update_post_meta( $team_id, 'google', $_POST['google'] );
        }
		if ( isset($_POST['googlelink']) ) {
            update_post_meta( $team_id, 'googlelink', $_POST['googlelink'] );
        }
    }
}

function our_teamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
		'excerptlength' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); 
	$bposts = '<div id="teammember-list-wrapper">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$posts = query_posts( $args );
	$count = count($posts);
	if($count < 4) {
	echo "<style> #charitydonor .owl-controls { display: none !important; } </style>";
	}
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );				
			
			$bposts .= '<div class="teammember-list'.$nomargn.'">';	
			$bposts .= '<div class="thumnailbx"><a class="hvr-grow" href="'.get_the_permalink().'">'. get_the_post_thumbnail().'</a></div>';			
			$bposts .= '<div class="titledesbox"><a href="'.get_the_permalink().'"><h6 class="title">'.get_the_title().'</h6></a><cite>'.$designation.'</cite></div>';
			$bposts .= '<div class="member-social-icon">';
					if( $facebook != '' ){
						$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="'.$facebook.'"></i></a>';
					}
					if( $twitter != '' ){
						$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="'.$twitter.'"></i></a>';
					}
					if( $linkedin != '' ){
						$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="'.$linkedin.'"></i></a>';
					}
					if( $dribbble != '' ){
						$bposts .= '<a href="'.$dribbblelink.'" title="'.$dribbble.'" target="_blank"><i class="'.$dribbble.'"></i></a>';
					}
					if( $pint != '' ){
						$bposts .= '<a href="'.$googlelink.'" title="'.$pint.'" target="_blank"><i class="'.$pint.'"></i></a><div class="clear"></div>';
					}
			$bposts .= '</div>';
			$bposts .= '
				<div class="team-description">
					<p>'.wp_trim_words( get_the_content(), $excerptlength ).'</p>
				</div>
			';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= 'There are not found our team members';
	}
	wp_reset_query();
	$bposts .= '</div><div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'our-team', 'our_teamposts_func' );
