<?php
/**
 * The Template for displaying all single posts.
 *
 * @package Music Club Pro*/
get_header(); ?>

<div class="container content-area">
    <div class="middle-align">
        <div class="site-main nosidebar">
			<?php while ( have_posts() ) : the_post(); 
					$album_released_date = esc_html( get_post_meta( get_the_ID(), 'album_released_date', true ) );					
					$album_music = esc_html( get_post_meta( get_the_ID(), 'album_music', true ) );					
					$album_lyrics = esc_html( get_post_meta( get_the_ID(), 'album_lyrics', true ) );
					$album_bass = esc_html( get_post_meta( get_the_ID(), 'album_bass', true ) );				
					$album_drumbs = esc_html( get_post_meta( get_the_ID(), 'album_drumbs', true ) );			
			   ?>
               <h1 class="entry-title"><?php the_title();?></h1>
               <div class="audio_thumbbx"><?php the_post_thumbnail('full', array( 'class' => 'alignleft' ) ); ?></div><!-- .audio_thumbbx-->
               <div class="audio_details_box">
               	<?php if($album_released_date != ''){ ?>
                 <span class="audioinfo"><strong><?php _e('Released Date','music-club-pro'); ?>:</strong> <?php echo $album_released_date; ?> </span>
                 <?php } ?>
                 <?php if($album_music != ''){ ?>
                 <span class="audioinfo"><strong><?php _e('Music','music-club-pro'); ?>:</strong> <?php echo $album_music; ?> </span>
                 <?php } ?>
                 <?php if($album_lyrics != ''){ ?>
                 <span class="audioinfo"><strong><?php _e('Lyrics','music-club-pro'); ?>:</strong> <?php echo $album_lyrics; ?> </span>
                 <?php } ?>
                 <?php if($album_bass != ''){ ?>
                 <span class="audioinfo"><strong><?php _e('Bass','music-club-pro'); ?>:</strong> <?php echo $album_bass; ?> </span>
                 <?php } ?>
                 <?php if($album_drumbs != ''){ ?>
                 <span class="audioinfo"><strong><?php _e('Drumbs','music-club-pro'); ?>:</strong> <?php echo $album_drumbs; ?> </span>
                 <?php } ?>
               
               </div><!-- .audio_details_box-->
               <?php the_content();?>              
            <?php endwhile; // end of the loop. ?>
        </div>
            
        <div class="clear"></div>
    </div>
</div>
<?php get_footer(); ?>