<?php       
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier chaAre you ready to tak
 nges, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'social-care'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {
	//array of all custom font types.
	$font_types = array( '' => '',
    'ABeeZee' => 'ABeeZee',
    'Abel' => 'Abel',
    'Abril Fatface' => 'Abril Fatface',
    'Aclonica' => 'Aclonica',
    'Acme' => 'Acme',
    'Actor' => 'Actor',
    'Adamina' => 'Adamina',
    'Advent Pro' => 'Advent Pro',
    'Aguafina Script' => 'Aguafina Script',
    'Akronim' => 'Akronim',
    'Aladin' => 'Aladin',
    'Aldrich' => 'Aldrich',
    'Alegreya' => 'Alegreya',
    'Alegreya Sans SC' => 'Alegreya Sans SC',
    'Alegreya SC' => 'Alegreya SC',
    'Alex Brush' => 'Alex Brush',
    'Alef' => 'Alef',
    'Alfa Slab One' => 'Alfa Slab One',
    'Alice' => 'Alice',
    'Alike' => 'Alike',
    'Alike Angular' => 'Alike Angular',
    'Allan' => 'Allan',
    'Allerta' => 'Allerta',
    'Allerta Stencil' => 'Allerta Stencil',
    'Allura' => 'Allura',
    'Almendra' => 'Almendra',
    'Almendra Display' => 'Almendra Display',
    'Almendra SC' => 'Almendra SC',
    'Amiri' => 'Amiri',
    'Amarante' => 'Amarante',
    'Amaranth' => 'Amaranth',
    'Amatic SC' => 'Amatic SC',
    'Amethysta' => 'Amethysta',
    'Amita' => 'Amita',
    'Anaheim' => 'Anaheim',
    'Andada' => 'Andada',
    'Andika' => 'Andika',
    'Annie Use Your Telescope' => 'Annie Use Your Telescope',
    'Anonymous Pro' => 'Anonymous Pro',
    'Antic' => 'Antic',
    'Antic Didone' => 'Antic Didone',
    'Antic Slab' => 'Antic Slab',
    'Anton' => 'Anton',
    'Angkor' => 'Angkor',
    'Arapey' => 'Arapey',
    'Arbutus' => 'Arbutus',
    'Arbutus Slab' => 'Arbutus Slab',
    'Architects Daughter' => 'Architects Daughter',
    'Archivo White' => 'Archivo White',
    'Archivo Narrow' => 'Archivo Narrow',
    'Arial' => 'Arial',
    'Arimo' => 'Arimo',
    'Arya' => 'Arya',
    'Arizonia' => 'Arizonia',
    'Armata' => 'Armata',
    'Artifika' => 'Artifika',
    'Arvo' => 'Arvo',
    'Asar' => 'Asar',
    'Asap' => 'Asap',
    'Asset' => 'Asset',
	'Assistant' => 'Assistant',
    'Astloch' => 'Astloch',
    'Asul' => 'Asul',
    'Atomic Age' => 'Atomic Age',
    'Aubrey' => 'Aubrey',
    'Audiowide' => 'Audiowide',
    'Autour One' => 'Autour One',
    'Average' => 'Average',
    'Average Sans' => 'Average Sans',
    'Averia Gruesa Libre' => 'Averia Gruesa Libre',
    'Averia Libre' => 'Averia Libre',
    'Averia Sans Libre' => 'Averia Sans Libre',
    'Averia Serif Libre' => 'Averia Serif Libre',
    'Battambang' => 'Battambang',
    'Bad Script' => 'Bad Script',
    'Bayon' => 'Bayon',
    'Balthazar' => 'Balthazar',
    'Bangers' => 'Bangers',
    'Basic' => 'Basic',
    'Baumans' => 'Baumans',
    'Belgrano' => 'Belgrano',
    'Belleza' => 'Belleza',
    'BenchNine' => 'BenchNine',
    'Bentham' => 'Bentham',
    'Berkshire Swash' => 'Berkshire Swash',
    'Bevan' => 'Bevan',
    'Bigelow Rules' => 'Bigelow Rules',
    'Bigshot One' => 'Bigshot One',
    'Bilbo' => 'Bilbo',
    'Bilbo Swash Caps' => 'Bilbo Swash Caps',
    'Biryani' => 'Biryani',
    'Bitter' => 'Bitter',
    'White Ops One' => 'White Ops One',
    'Bokor' => 'Bokor',
    'Bonbon' => 'Bonbon',
    'Boogaloo' => 'Boogaloo',
    'Bowlby One' => 'Bowlby One',
    'Bowlby One SC' => 'Bowlby One SC',
    'Brawler' => 'Brawler',
    'Bree Serif' => 'Bree Serif',
    'Bubblegum Sans' => 'Bubblegum Sans',
    'Bubbler One' => 'Bubbler One',
    'Buda' => 'Buda',
    'Buenard' => 'Buenard',
    'Butcherman' => 'Butcherman',
    'Butcherman Caps' => 'Butcherman Caps',
    'Butterfly Kids' => 'Butterfly Kids',
    'Cabin' => 'Cabin',
    'Cabin Condensed' => 'Cabin Condensed',
    'Cabin Sketch' => 'Cabin Sketch',
    'Cabin' => 'Cabin',
    'Caesar Dressing' => 'Caesar Dressing',
    'Cagliostro' => 'Cagliostro',
    'Calligraffitti' => 'Calligraffitti',
    'Cambay' => 'Cambay',
    'Cambo' => 'Cambo',
    'Candal' => 'Candal',
    'Cantarell' => 'Cantarell',
    'Cantata One' => 'Cantata One',
    'Cantora One' => 'Cantora One',
    'Capriola' => 'Capriola',
    'Cardo' => 'Cardo',
    'Carme' => 'Carme',
    'Carrois Gothic' => 'Carrois Gothic',
    'Carrois Gothic SC' => 'Carrois Gothic SC',
    'Carter One' => 'Carter One',
    'Caveat' => 'Caveat',
    'Caveat Brush' => 'Caveat Brush',
    'Catamaran' => 'Catamaran',
    'Caudex' => 'Caudex',
    'Cedarville Cursive' => 'Cedarville Cursive',
    'Ceviche One' => 'Ceviche One',
    'Changa One' => 'Changa One',
    'Chango' => 'Chango',
    'Chau Philomene One' => 'Chau Philomene One',
    'Chenla' => 'Chenla',
    'Chela One' => 'Chela One',
    'Chelsea Market' => 'Chelsea Market',
    'Cherry Cream Soda' => 'Cherry Cream Soda',
    'Cherry Swash' => 'Cherry Swash',
    'Chewy' => 'Chewy',
    'Chicle' => 'Chicle',
    'Chivo' => 'Chivo',
    'Chonburi' => 'Chonburi',
    'Cinzel' => 'Cinzel',
    'Cinzel Decorative' => 'Cinzel Decorative',
    'Clicker Script' => 'Clicker Script',
    'Coda' => 'Coda',
    'Codystar' => 'Codystar',
    'Combo' => 'Combo',
    'Comfortaa' => 'Comfortaa',
    'Coming Soon' => 'Coming Soon',
    'Condiment' => 'Condiment',
    'Content' => 'Content',
    'Contrail One' => 'Contrail One',
    'Convergence' => 'Convergence',
    'Cookie' => 'Cookie',
    'Comic Sans MS' => 'Comic Sans MS',
    'Copse' => 'Copse',
    'Corben' => 'Corben',
    'Courgette' => 'Courgette',
    'Cousine' => 'Cousine',
    'Coustard' => 'Coustard',
    'Covered By Your Grace' => 'Covered By Your Grace',
    'Crafty Girls' => 'Crafty Girls',
    'Creepster' => 'Creepster',
    'Creepster Caps' => 'Creepster Caps',
    'Crete Round' => 'Crete Round',
    'Crimson' => 'Crimson',
    'Croissant One' => 'Croissant One',
    'Crushed' => 'Crushed',
    'Cuprum' => 'Cuprum',
    'Cutive' => 'Cutive',
    'Cutive Mono' => 'Cutive Mono',
    'Damion' => 'Damion',
    'Dangrek' => 'Dangrek',
    'Dancing Script' => 'Dancing Script',
    'Dawning of a New Day' => 'Dawning of a New Day',
    'Days One' => 'Days One',
    'Dekko' => 'Dekko',
    'Delius' => 'Delius',
    'Delius Swash Caps' => 'Delius Swash Caps',
    'Delius Unicase' => 'Delius Unicase',
    'Della Respira' => 'Della Respira',
    'Denk One' => 'Denk One',
    'Devonshire' => 'Devonshire',
    'Dhurjati' => 'Dhurjati',
    'Didact Gothic' => 'Didact Gothic',
    'Diplomata' => 'Diplomata',
    'Diplomata SC' => 'Diplomata SC',
    'Domine' => 'Domine',
    'Donegal One' => 'Donegal One',
    'Doppio One' => 'Doppio One',
    'Dorsa' => 'Dorsa',
    'Dosis' => 'Dosis',
    'Dr Sugiyama' => 'Dr Sugiyama',
    'Droid Sans' => 'Droid Sans',
    'Droid Sans Mono' => 'Droid Sans Mono',
    'Droid Serif' => 'Droid Serif',
    'Duru Sans' => 'Duru Sans',
    'Dynalight' => 'Dynalight',
    'EB Garamond' => 'EB Garamond',
    'Eczar' => 'Eczar',
    'Eagle Lake' => 'Eagle Lake',
    'Eater' => 'Eater',
    'Eater Caps' => 'Eater Caps',
    'Economica' => 'Economica',
    'Ek Mukta' => 'Ek Mukta',
    'Electrolize' => 'Electrolize',
    'Elsie' => 'Elsie',
    'Elsie Swash Caps' => 'Elsie Swash Caps',
    'Emblema One' => 'Emblema One',
    'Emilys Candy' => 'Emilys Candy',
    'Engagement' => 'Engagement',
    'Englebert' => 'Englebert',
    'Enriqueta' => 'Enriqueta',
    'Erica One' => 'Erica One',
    'Esteban' => 'Esteban',
    'Euphoria Script' => 'Euphoria Script',
    'Ewert' => 'Ewert',
    'Exo' => 'Exo',
    'Exo 2' => 'Exo 2',
    'Expletus Sans' => 'Expletus Sans',
    'Fanwood Text' => 'Fanwood Text',
    'Fascinate' => 'Fascinate',
    'Fascinate Inline' => 'Fascinate Inline',
    'Fasthand' => 'Fasthand',
    'Faster One' => 'Faster One',
    'Federant' => 'Federant',
    'Federo' => 'Federo',
    'Felipa' => 'Felipa',
    'Fenix' => 'Fenix',
    'Finger Paint' => 'Finger Paint',
    'Fira Mono' => 'Fira Mono',
    'Fira Sans' => 'Fira Sans',
    'Fjalla One' => 'Fjalla One',
    'Fjord One' => 'Fjord One',
    'Flamenco' => 'Flamenco',
    'Flavors' => 'Flavors',
    'Fondamento' => 'Fondamento',
    'Fontdiner Swanky' => 'Fontdiner Swanky',
    'Forum' => 'Forum',
    'Francois One' => 'Francois One',
    'FreeSans' => 'FreeSans',

    'Freckle Face' => 'Freckle Face',
    'Fredericka the Great' => 'Fredericka the Great',
    'Fredoka One' => 'Fredoka One',
    'Fresca' => 'Fresca',
    'Freehand' => 'Freehand',
    'Frijole' => 'Frijole',
    'Fruktur' => 'Fruktur',
    'Fugaz One' => 'Fugaz One',
    'Gafata' => 'Gafata',
    'Galdeano' => 'Galdeano',
    'Galindo' => 'Galindo',
    'Gentium Basic' => 'Gentium Basic',
    'Gentium Book Basic' => 'Gentium Book Basic',
    'Geo' => 'Geo',
    'Georgia' => 'Georgia',
    'Geostar' => 'Geostar',
    'Geostar Fill' => 'Geostar Fill',
    'Germania One' => 'Germania One',
    'Gilda Display' => 'Gilda Display',
    'Give You Glory' => 'Give You Glory',
    'Glass Antiqua' => 'Glass Antiqua',
    'Glegoo' => 'Glegoo',
    'Gloria Hallelujah' => 'Gloria Hallelujah',
    'Goblin One' => 'Goblin One',
    'Gochi Hand' => 'Gochi Hand',
    'Gorditas' => 'Gorditas',
    'Gurajada' => 'Gurajada',
    'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
    'Graduate' => 'Graduate',
    'Grand Hotel' => 'Grand Hotel',
    'Gravitas One' => 'Gravitas One',
    'Great Vibes' => 'Great Vibes',
    'Griffy' => 'Griffy',
    'Gruppo' => 'Gruppo',
    'Gudea' => 'Gudea',
    'Gidugu' => 'Gidugu',
    'GFS Didot' => 'GFS Didot',
    'GFS Neohellenic' => 'GFS Neohellenic',
    'Habibi' => 'Habibi',
    'Hammersmith One' => 'Hammersmith One',
    'Halant' => 'Halant',
    'Hanalei' => 'Hanalei',
    'Hanalei Fill' => 'Hanalei Fill',
    'Handlee' => 'Handlee',
    'Hanuman' => 'Hanuman',
    'Happy Monkey' => 'Happy Monkey',
    'Headland One' => 'Headland One',
    'Henny Penny' => 'Henny Penny',
    'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
    'Hind' => 'Hind',
    'Hind Siliguri' => 'Hind Siliguri',
    'Hind Vadodara' => 'Hind Vadodara',
    'Holtwood One SC' => 'Holtwood One SC',
    'Homemade Apple' => 'Homemade Apple',
    'Homenaje' => 'Homenaje',
    'IM Fell' => 'IM Fell',
    'Itim' => 'Itim',
    'Iceberg' => 'Iceberg',
    'Iceland' => 'Iceland',
    'Imprima' => 'Imprima',
    'Inconsolata' => 'Inconsolata',
    'Inder' => 'Inder',
    'Indie Flower' => 'Indie Flower',
    'Inknut Antiqua' => 'Inknut Antiqua',
    'Inika' => 'Inika',
    'Irish Growler' => 'Irish Growler',
    'Istok Web' => 'Istok Web',
    'Italiana' => 'Italiana',
    'Italianno' => 'Italianno',
    'Jacques Francois' => 'Jacques Francois',
    'Jacques Francois Shadow' => 'Jacques Francois Shadow',
    'Jim Nightshade' => 'Jim Nightshade',
    'Jockey One' => 'Jockey One',
    'Jaldi' => 'Jaldi',
    'Jolly Lodger' => 'Jolly Lodger',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Sans' => 'Josefin Sans',
    'Josefin Slab' => 'Josefin Slab',
    'Joti One' => 'Joti One',
    'Judson' => 'Judson',
    'Julee' => 'Julee',
    'Julius Sans One' => 'Julius Sans One',
    'Junge' => 'Junge',
    'Jura' => 'Jura',
    'Just Another Hand' => 'Just Another Hand',
    'Just Me Again Down Here' => 'Just Me Again Down Here',
    'Kadwa' => 'Kadwa',
    'Kdam Thmor' => 'Kdam Thmor',
    'Kalam' => 'Kalam', 
    'Kameron' => 'Kameron',
    'Kantumruy' => 'Kantumruy',
    'Karma' => 'Karma',
    'Karla' => 'Karla',
    'Kaushan Script' => 'Kaushan Script',
    'Kavoon' => 'Kavoon',
    'Keania One' => 'Keania One',
    'Kelly Slab' => 'Kelly Slab',
    'Kenia' => 'Kenia',
    'Khand' => 'Khand',
    'Khmer' => 'Khmer',
    'Khula' => 'Khula',
    'Kite One' => 'Kite One',
    'Knewave' => 'Knewave',
    'Kotta One' => 'Kotta One',
    'Kranky' => 'Kranky',
    'Kreon' => 'Kreon',
    'Kristi' => 'Kristi',
    'Koulen' => 'Koulen',
    'Krona One' => 'Krona One',
    'Kurale' => 'Kurale',
    'Lakki Reddy' => 'Lakki Reddy',
    'La Belle Aurore' => 'La Belle Aurore',
    'Lancelot' => 'Lancelot',
    'Laila' => 'Laila',
    'Lato' => 'Lato',
    'Lateef' => 'Lateef',
    'League Script' => 'League Script',
    'Leckerli One' => 'Leckerli One',
    'Ledger' => 'Ledger',
    'Lekton' => 'Lekton',
    'Lemon' => 'Lemon',

    'Libre Baskerville' => 'Libre Baskerville',
    'Life Savers' => 'Life Savers',
    'Lilita One' => 'Lilita One',
    'Limelight' => 'Limelight',
    'Linden Hill' => 'Linden Hill',
    'Lobster' => 'Lobster',
    'Lobster Two' => 'Lobster Two',
    'Londrina Outline' => 'Londrina Outline',
    'Londrina Shadow' => 'Londrina Shadow',
    'Londrina Sketch' => 'Londrina Sketch',
    'Londrina Solid' => 'Londrina Solid',
    'Lora' => 'Lora',
    'Love Ya Like A Sister' => 'Love Ya Like A Sister',
    'Loved by the King' => 'Loved by the King',
    'Lovers Quarrel' => 'Lovers Quarrel',
    'Lucida Sans Unicode' => 'Lucida Sans Unicode',
    'Luckiest Guy' => 'Luckiest Guy',
    'Lusitana' => 'Lusitana',
    'Lustria' => 'Lustria',
    'Macondo' => 'Macondo',
    'Macondo Swash Caps' => 'Macondo Swash Caps',
    'Magra' => 'Magra',
    'Maiden Orange' => 'Maiden Orange',
    'Mallanna' => 'Mallanna',
    'Mandali' => 'Mandali',
    'Mako' => 'Mako',
    'Marcellus' => 'Marcellus',
    'Marcellus SC' => 'Marcellus SC',
    'Marck Script' => 'Marck Script',
    'Margarine' => 'Margarine',
    'Marko One' => 'Marko One',
    'Marmelad' => 'Marmelad',
    'Marvel' => 'Marvel',
    'Martel' => 'Martel',
    'Martel Sans' => 'Martel Sans',
    'Mate' => 'Mate',
    'Mate SC' => 'Mate SC',
    'Maven Pro' => 'Maven Pro',
    'McLaren' => 'McLaren',
    'Meddon' => 'Meddon',
    'MedievalSharp' => 'MedievalSharp',
    'Medula One' => 'Medula One',
    'Megrim' => 'Megrim',
    'Meie Script' => 'Meie Script',
    'Merienda' => 'Merienda',
    'Merienda One' => 'Merienda One',
    'Merriweather' => 'Merriweather',
    'Metal' => 'Metal',
    'Metal Mania' => 'Metal Mania',
    'Metamorphous' => 'Metamorphous',
    'Metrophobic' => 'Metrophobic',
    'Michroma' => 'Michroma',
    'Milonga' => 'Milonga',
    'Miltonian' => 'Miltonian',
    'Miltonian Tattoo' => 'Miltonian Tattoo',
    'Miniver' => 'Miniver',
    'Miss Fajardose' => 'Miss Fajardose',
    'Miss Saint Delafield' => 'Miss Saint Delafield',
    'Modak' => 'Modak',
    'Modern Antiqua' => 'Modern Antiqua',
    'Molengo' => 'Molengo',
    'Molle' => 'Molle',
    'Moulpali' => 'Moulpali',
    'Monda' => 'Monda',
    'Monofett' => 'Monofett',
    'Monoton' => 'Monoton',
    'Monsieur La Doulaise' => 'Monsieur La Doulaise',
    'Montaga' => 'Montaga',
    'Montez' => 'Montez',
    'Montserrat' => 'Montserrat',
    'Montserrat Alternates' => 'Montserrat Alternates',
    'Montserrat Subrayada' => 'Montserrat Subrayada',
    'Mountains of Christmas' => 'Mountains of Christmas',
    'Mouse Memoirs' => 'Mouse Memoirs',
    'Moul' => 'Moul',
    'Mr Bedford' => 'Mr Bedford',
    'Mr Bedfort' => 'Mr Bedfort',
    'Mr Dafoe' => 'Mr Dafoe',
    'Mr De Haviland' => 'Mr De Haviland',
    'Mrs Saint Delafield' => 'Mrs Saint Delafield',
    'Mrs Sheppards' => 'Mrs Sheppards',
    'Muli' => 'Muli',
    'Mystery Quest' => 'Mystery Quest',
    'Neucha' => 'Neucha',
    'Neuton' => 'Neuton',
    'New Rocker' => 'New Rocker',
    'News Cycle' => 'News Cycle',
    'Niconne' => 'Niconne',
    'Nixie One' => 'Nixie One',
    'Nobile' => 'Nobile',
    'Nokora' => 'Nokora',
    'Norican' => 'Norican',
    'Nosifer' => 'Nosifer',
    'Nosifer Caps' => 'Nosifer Caps',
    'Nova Mono' => 'Nova Mono',
    'Noticia Text' => 'Noticia Text',
    'Noto Sans' => 'Noto Sans',
    'Noto Serif' => 'Noto Serif',
    'Nova Round' => 'Nova Round',
    'Numans' => 'Numans',
    'Nunito' => 'Nunito',
    'NTR' => 'NTR',
    'Offside' => 'Offside',
    'Oldenburg' => 'Oldenburg',
    'Oleo Script' => 'Oleo Script',
    'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
    'Open Sans' => 'Open Sans',
    'Open Sans Condensed' => 'Open Sans Condensed',
    'Oranienbaum' => 'Oranienbaum',
    'Orbitron' => 'Orbitron',
    'Odor Mean Chey' => 'Odor Mean Chey',
    'Oregano' => 'Oregano',
    'Orienta' => 'Orienta',
    'Original Surfer' => 'Original Surfer',
    'Oswald' => 'Oswald',
    'Over the Rainbow' => 'Over the Rainbow',
    'Overlock' => 'Overlock',
    'Overlock SC' => 'Overlock SC',
    'Ovo' => 'Ovo',
    'Oxygen' => 'Oxygen',
    'Oxygen Mono' => 'Oxygen Mono',
    'Palanquin Dark' => 'Palanquin Dark',
    'Peddana' => 'Peddana',
    'Poppins' => 'Poppins',
    'PT Mono' => 'PT Mono',
    'PT Sans' => 'PT Sans',
    'PT Sans Caption' => 'PT Sans Caption',
    'PT Sans Narrow' => 'PT Sans Narrow',
    'PT Serif' => 'PT Serif',
    'PT Serif Caption' => 'PT Serif Caption',
    'Pacifico' => 'Pacifico',
    'Paprika' => 'Paprika',
    'Parisienne' => 'Parisienne',
    'Passero One' => 'Passero One',
    'Passion One' => 'Passion One',
    'Patrick Hand' => 'Patrick Hand',
    'Patrick Hand SC' => 'Patrick Hand SC',
    'Patua One' => 'Patua One',
    'Paytone One' => 'Paytone One',
    'Peralta' => 'Peralta',
    'Permanent Marker' => 'Permanent Marker',
    'Petit Formal Script' => 'Petit Formal Script',
    'Petrona' => 'Petrona',
    'Philosopher' => 'Philosopher',
    'Piedra' => 'Piedra',
    'Pinyon Script' => 'Pinyon Script',
    'Pirata One' => 'Pirata One',
    'Plaster' => 'Plaster',
    'Palatino Linotype' => 'Palatino Linotype',
    'Play' => 'Play',
    'Playball' => 'Playball',
    'Playfair Display' => 'Playfair Display',
    'Playfair Display SC' => 'Playfair Display SC',
    'Podkova' => 'Podkova',
    'Poiret One' => 'Poiret One',
    'Poller One' => 'Poller One',
    'Poly' => 'Poly',
    'Pompiere' => 'Pompiere',
    'Pontano Sans' => 'Pontano Sans',
    'Port Lligat Sans' => 'Port Lligat Sans',
    'Port Lligat Slab' => 'Port Lligat Slab',
    'Prata' => 'Prata',
    'Pragati Narrow' => 'Pragati Narrow',
    'Preahvihear' => 'Preahvihear',
    'Press Start 2P' => 'Press Start 2P',
    'Princess Sofia' => 'Princess Sofia',
    'Prociono' => 'Prociono',
    'Prosto One' => 'Prosto One',
    'Puritan' => 'Puritan',
    'Purple Purse' => 'Purple Purse',
    'Quando' => 'Quando',
    'Quantico' => 'Quantico',
    'Quattrocento' => 'Quattrocento',
    'Quattrocento Sans' => 'Quattrocento Sans',
    'Questrial' => 'Questrial',
    'Quicksand' => 'Quicksand',
    'Quintessential' => 'Quintessential',
    'Qwigley' => 'Qwigley',
    'Racing Sans One' => 'Racing Sans One',
    'Radley' => 'Radley',
    'Rajdhani' => 'Rajdhani',
    'Raleway Dots' => 'Raleway Dots',
    'Raleway' => 'Raleway',
    'Rambla' => 'Rambla',
    'Ramabhadra' => 'Ramabhadra',
    'Ramaraja' => 'Ramaraja',
    'Rammetto One' => 'Rammetto One',
    'Ranchers' => 'Ranchers',
    'Rancho' => 'Rancho',
    'Ranga' => 'Ranga',
    'Ravi Prakash' => 'Ravi Prakash',
    'Rationale' => 'Rationale',
    'Redressed' => 'Redressed',
    'Reenie Beanie' => 'Reenie Beanie',
    'Revalia' => 'Revalia',
    'Rhodium Libre' => 'Rhodium Libre',
    'Ribeye' => 'Ribeye',
    'Ribeye Marrow' => 'Ribeye Marrow',
    'Righteous' => 'Righteous',
    'Risque' => 'Risque',
    'Roboto' => 'Roboto',
    'Roboto Condensed' => 'Roboto Condensed',
    'Roboto Mono' => 'Roboto Mono',
    'Roboto Slab' => 'Roboto Slab',
    'Rochester' => 'Rochester',
    'Rock Salt' => 'Rock Salt',
    'Rokkitt' => 'Rokkitt',
    'Romanesco' => 'Romanesco',
    'Ropa Sans' => 'Ropa Sans',
    'Rosario' => 'Rosario',
    'Rosarivo' => 'Rosarivo',
    'Rouge Script' => 'Rouge Script',
    'Rozha One' => 'Rozha One',
    'Rubik' => 'Rubik',
    'Rubik One' => 'Rubik One',
    'Rubik Mono One' => 'Rubik Mono One',
    'Ruda' => 'Ruda',
    'Rufina' => 'Rufina',
    'Ruge Boogie' => 'Ruge Boogie',
    'Ruluko' => 'Ruluko',
    'Rum Raisin' => 'Rum Raisin',
    'Ruslan Display' => 'Ruslan Display',
    'Russo One' => 'Russo One',
    'Ruthie' => 'Ruthie',
    'Rye' => 'Rye',
    'Sacramento' => 'Sacramento',
    'Sail' => 'Sail',
    'Salsa' => 'Salsa',
    'Sanchez' => 'Sanchez',
    'Sancreek' => 'Sancreek',
    'Sahitya' => 'Sahitya',
    'Sansita One' => 'Sansita One',
    'Sarpanch' => 'Sarpanch',
    'Sarina' => 'Sarina',
    'Satisfy' => 'Satisfy',
    'Scada' => 'Scada',
    'Scheherazade' => 'Scheherazade',
    'Schoolbell' => 'Schoolbell',
    'Seaweed Script' => 'Seaweed Script',
    'Sarala' => 'Sarala',
    'Sevillana' => 'Sevillana',
    'Seymour One' => 'Seymour One',
    'Shadows Into Light' => 'Shadows Into Light',
    'Shadows Into Light Two' => 'Shadows Into Light Two',
    'Shanti' => 'Shanti',
    'Share' => 'Share',
    'Share Tech' => 'Share Tech',
    'Share Tech Mono' => 'Share Tech Mono',
    'Shojumaru' => 'Shojumaru',
	'Showcard Gothic' => 'Showcard Gothic',
    'Short Stack' => 'Short Stack',
    'Sigmar One' => 'Sigmar One',
    'Suranna' => 'Suranna',
    'Suravaram' => 'Suravaram',
    'Suwannaphum' => 'Suwannaphum',
    'Signika' => 'Signika',
    'Signika Negative' => 'Signika Negative',
    'Simonetta' => 'Simonetta',
    'Siemreap' => 'Siemreap',
    'Sirin Stencil' => 'Sirin Stencil',
    'Six Caps' => 'Six Caps',
    'Skranji' => 'Skranji',
    'Slackey' => 'Slackey',
    'Smokum' => 'Smokum',
    'Smythe' => 'Smythe',
    'Sniglet' => 'Sniglet',
    'Snippet' => 'Snippet',
    'Snowburst One' => 'Snowburst One',
    'Sofadi One' => 'Sofadi One',
    'Sofia' => 'Sofia',
    'Sonsie One' => 'Sonsie One',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Sorts Mill Goudy' => 'Sorts Mill Goudy',
    'Source Code Pro' => 'Source Code Pro',
    'Source Sans Pro' => 'Source Sans Pro',
    'Special I am one' => 'Special I am one',
    'Spicy Rice' => 'Spicy Rice',
    'Spinnaker' => 'Spinnaker',
    'Spirax' => 'Spirax',
    'Squada One' => 'Squada One',
    'Sree Krushnadevaraya' => 'Sree Krushnadevaraya',
    'Stalemate' => 'Stalemate',
    'Stalinist One' => 'Stalinist One',
    'Stardos Stencil' => 'Stardos Stencil',
    'Stint Ultra Condensed' => 'Stint Ultra Condensed',
    'Stint Ultra Expanded' => 'Stint Ultra Expanded',
    'Stoke' => 'Stoke',
    'Stoke' => 'Stoke',
    'Strait' => 'Strait',
    'Sura' => 'Sura',
    'Sumana' => 'Sumana',
    'Sue Ellen Francisco' => 'Sue Ellen Francisco',
    'Sunshiney' => 'Sunshiney',
    'Supermercado One' => 'Supermercado One',
    'Swanky and Moo Moo' => 'Swanky and Moo Moo',
    'Syncopate' => 'Syncopate',
    'Symbol' => 'Symbol',
    'Timmana' => 'Timmana',
    'Taprom' => 'Taprom',
    'Tangerine' => 'Tangerine',
    'Tahoma' => 'Tahoma',
    'Teko' => 'Teko',
    'Telex' => 'Telex',
    'Tenali Ramakrishna' => 'Tenali Ramakrishna',
    'Tenor Sans' => 'Tenor Sans',
    'Terminal Dosis' => 'Terminal Dosis',
    'Terminal Dosis Light' => 'Terminal Dosis Light',
    'Text Me One' => 'Text Me One',
    'The Girl Next Door' => 'The Girl Next Door',
    'Tienne' => 'Tienne',
    'Tillana' => 'Tillana',
    'Tinos' => 'Tinos',
    'Titan One' => 'Titan One',
    'Titillium Web' => 'Titillium Web',
    'Trade Winds' => 'Trade Winds',
    'Trebuchet MS' => 'Trebuchet MS',
    'Trocchi' => 'Trocchi',
    'Trochut' => 'Trochut',
    'Trykker' => 'Trykker',
    'Tulpen One' => 'Tulpen One',
    'Ubuntu' => 'Ubuntu',
    'Ubuntu Condensed' => 'Ubuntu Condensed',
    'Ubuntu Mono' => 'Ubuntu Mono',
    'Ultra' => 'Ultra',
    'Uncial Antiqua' => 'Uncial Antiqua',
    'Underdog' => 'Underdog',
    'Unica One' => 'Unica One',
    'UnifrakturCook' => 'UnifrakturCook',
    'UnifrakturMaguntia' => 'UnifrakturMaguntia',
    'Unkempt' => 'Unkempt',
    'Unlock' => 'Unlock',
    'Unna' => 'Unna',
    'VT323' => 'VT323',
    'Vampiro One' => 'Vampiro One',
    'Varela' => 'Varela',
    'Varela Round' => 'Varela Round',
    'Vast Shadow' => 'Vast Shadow',
    'Vesper Libre' => 'Vesper Libre',
    'Verdana' => 'Verdana',
    'Vibur' => 'Vibur',
    'Vidaloka' => 'Vidaloka',
    'Viga' => 'Viga',
    'Voces' => 'Voces',
    'Volkhov' => 'Volkhov',
    'Vollkorn' => 'Vollkorn',
    'Voltaire' => 'Voltaire',
    'Waiting for the Sunrise' => 'Waiting for the Sunrise',
    'Wallpoet' => 'Wallpoet',
    'Walter Turncoat' => 'Walter Turncoat',
    'Warnes' => 'Warnes',
    'Wellfleet' => 'Wellfleet',
    'Wendy One' => 'Wendy One',
    'Wire One' => 'Wire One',
    'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    'Yantramanav' => 'Yantramanav',
    'Yellowtail' => 'Yellowtail',
    'Yeseva One' => 'Yeseva One',
    'Yesteryear' => 'Yesteryear',
    'Zeyada' => 'Zeyada'
  );

	//array of all font sizes.
	$font_sizes = array( 
		'10px' => '10px',
		'11px' => '11px',
	);
	
	$options = array();
	$imagepath =  get_template_directory_uri() . '/images/';

	
	for($n=12;$n<=200;$n+=1){
		$font_sizes[$n.'px'] = $n.'px';
	}
	
	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(	
			1 => array(
			'section_title'	=> 'Our Causes',
			'menutitle'		=> 'section1',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[our_causes image="'.get_template_directory_uri().'/images/our-causes-1.png" title="Hunger in Nigeria" skillbar_bgcolor="#d1d1d1" percent="50%" percent_bgcolor="#c1331b" donate_price="$3000 Donated / " to_go_price="$2000 to Go" donate_button="DONATE" link="#" target="_blank"]
			
[our_causes image="'.get_template_directory_uri().'/images/our-causes-2.png" title="Stop Child’s Illiteracy" skillbar_bgcolor="#d1d1d1" percent="70%" percent_bgcolor="#c1331b" donate_price="$3000 Donated / " to_go_price="$2000 to Go" donate_button="DONATE" link="#" target="_self"]

[our_causes image="'.get_template_directory_uri().'/images/our-causes-3.png" title="School Building" skillbar_bgcolor="#d1d1d1" percent="35%" percent_bgcolor="#c1331b" donate_price="$3000 Donated / " to_go_price="$2000 to Go" donate_button="DONATE" link="#" target="_self"]',
		),
		
		2 => array(
			'section_title'	=> 'Our Fun Facts',
			'menutitle'		=> 'section2',
			'bgcolor' 		=> '#280434',
			'bgimage'		=> get_template_directory_uri().'/images/sectionbg01.jpg',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#d7d7d7" align="center" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."][column_content type="countersection"][counter color="#ffffff" icon="fas fa-briefcase" value="2000" plus="K+" title="Save Child’s Life"][counter color="#ffffff" icon="fas fa-gavel fa-rotate-270" value="1000" plus="+" title="Child’s Adoption"][counter color="#ffffff" icon="fas fa-users" value="20" plus="+" title="Volunteer With Us"][counter color="#ffffff" icon="fas fa-dollar-sign" value="20.5" plus="M+" title="Donate Collected"]
[/column_content]',
		),
		
		
		3 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section3',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"]
[custom-video youtubeid="51eZ2IIPNas" image="'.get_template_directory_uri().'/images/video-cover2.jpg"]
[/column_content]
[column_content type="one_half_last"][innertitle size="38px" color="#080808" description="We Have Many Orphan Childs"][subtitle size="20px" color="#c1331b" align="left" description="It’s a Big Charity Fund for Homeless Childs"]
Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum in, pretium bibendum ex. Nam sed sem laoreet, lacinia mi quis, efficitur dui. Nam accumsan eleifend sapien, et elementum odio molestie et. 
[space height="20px"]
Aliquam turpis libero, molestie vitae nibh vitae, hendrerit pharetra neque. Sed eget mauris sit amet est tristique rhoncus id quis turpis.
[button align="left" name="DONATE NOW" link="#" target=""]
[/column_content]'
		),
		
		4 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section4',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"][innertitle size="46px" color="#080808" description="Urgent Cause"]<p>Sed lectus lacus, vestibulum at fermentum in, pretium bibendum ex. Nam sed sem laoreet, lacinia mi quis, efficitur dui. Nam accumsan eleifend sapien, et elementum odio molestie et.</p>
<p>&nbsp;</p>
[button align="left" name="DONATE NOW" link="#" target=""][/column_content]
[column_content type="one_half_last"][urgent_cause percentage="75%" title_collected="Collected" title="Total Need - $1,30,900"][urgent_cause_top subtitle="Total Donators" value="300"][urgent_cause_middle subtitle="Total Colleted" value="$80, 300"][urgent_cause_bottom subtitle="Volunteer Colleted" value="$20, 300"][/urgent_cause]
[/column_content]',
		),
		
		5 => array(
			'section_title'	=> 'News & Blog',
			'menutitle'		=> 'section5',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[latest-news showposts="3" date="show" comment="show" author="show"]'
		),
		
		6 => array(
			'section_title'	=> 'We Are Volunters',
			'menutitle'		=> 'section6',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=>  get_template_directory_uri().'/images/sectionbg06.jpg',
			'class'			=> '',
			'content'		=> '[space height="20px"][column_content type="one_half"][innertitle size="28px" color="#ffffff" description="Now Need Your Help"][subtitle size="16px" color="#d7d7d7" align="left" description="Sed lectus lacus, vestibulum at fermentum in, pretium bibendum ex. Nam sed sem laoreet, lacinia mi quis, efficitur dui. Nam accumsan eleifend sapien, et elementum odio molestie et."][/column_content][column_content type="one_half_last"]<form class="newsletter-form"><input type="email" placeholder="Enter your mail"> <input type="submit" value="Subscribe"></form>[/column_content]',
		),	
				
		7 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section7',
			'bgcolor' 		=> 'none',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[our-team show="4"]'
		),	
		
		
		8 => array(
			'section_title'	=> 'Our Goals',
			'menutitle'		=> 'section8',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[subtitle size="16px" color="#535353" align="center" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."]
[column_content type="one_third"]<img src="'.get_template_directory_uri().'/images/feature-icon01.png" alt="" /><h4>Wind Energy </h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]

[column_content type="one_third"]<img src="'.get_template_directory_uri().'/images/feature-icon02.png" alt="" /><h4>Nature</h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]

[column_content type="one_third_last"]<img src="'.get_template_directory_uri().'/images/feature-icon03.png" alt="" /><h4>Water</h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]

[column_content type="one_third"]<img src="'.get_template_directory_uri().'/images/feature-icon04.png" alt="" /><h4>Pollution </h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]

[column_content type="one_third"]<img src="'.get_template_directory_uri().'/images/feature-icon05.png" alt="" /><h4>Farming</h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]

[column_content type="one_third_last"]<img src="'.get_template_directory_uri().'/images/feature-icon06.png" alt="" /><h4>Saving Animals</h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusa doloremque laudantore veritatis.[/column_content]',
		),
		
		9 => array(
			'section_title'	=> 'Testimonials',
			'menutitle'		=> 'section9',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=> get_template_directory_uri().'/images/sectionbg09.jpg',
			'class'			=> '',
			'content'		=> '[testimonials]',
		),			
		
		10 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section10',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[column_content type="one_half"]<div class="contact-image"><img src="'.get_template_directory_uri().'/images/contact-image.jpg" /></div>[/column_content]
			
[column_content type="one_half_last"][innertitle size="31px" color="#353535" fontweight="400" description="We are experts in Charity services and Solutions"][contact-form-7 id="1565" title="Contact form 1"][/column_content]',
		),		
			
		11 => array(
			'section_title'	=> 'Buy Products for Donation',
			'menutitle'		=> 'section11',
			'bgcolor' 		=> '#f6f6f6',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[subtitle color="#535353" size="16px" description="Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum."][space height="20px"][recent_products per_page="4" columns="4"]'
		),
		
		12 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section12',
			'bgcolor' 		=> '#c1331b',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[innertitle size="26px" color="#ffffff" fontweight="700" description="SUBSCRIBE FOR NEWSLETTER"][subtitle color="#ffffff" size="14px" align="left" description="Nunc sed lorem pretium, volutpat tortor id, adipiscing sem. Sed bibendum quis augue nec porta."][button align="right" name="DONATE NOW" link="#" target="_self"]'
		),
		
		
		13 => array(
			'section_title'	=> '',
			'menutitle'		=> 'section13',
			'bgcolor' 		=> '#1e2025',
			'bgimage'		=>  '',
			'class'			=> '',
			'content'		=> '[social_area]
[social icon="fab fa-facebook-f" link="#"]
[social icon="fab fa-twitter" link="#"]
[social icon="fab fa-google-plus-g" link="#"]
[social icon="fab fa-linkedin-in" link="#"]
[social icon="fas fa-rss" link="#"]
[social icon="fab fa-youtube" link="#"]
[/social_area]'
		),
					
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'social-care'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'social-care'),
		'desc' => __('Upload your main logo here', 'social-care'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/logo.png",
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Change your custom logo height', 'social-care'),
		'id' => 'logoheight',
		'std' => '57',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'social-care'),		
		'desc'	=> __('Uncheck To show site title and description', 'social-care'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> 'true');		
		
	$options[] = array(	
		'name' => __('Layout Option', 'social-care'),		
		'desc'	=> __('Check To Show Box Layout ', 'social-care'),
		'id'	=> 'boxlayout',
		'type'	=> 'checkbox',
		'std'	=> '');
			
	$options[] = array(
		'name' => __('Sticky Header', 'social-care'),
		'desc' => __('Check this to show sticky header on scroll', 'social-care'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');		
			
	$options[] = array(
		'name' => __('Disable Animation', 'social-care'),
		'desc' => __('Check this to hide animation on scroll', 'social-care'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');		

	$options[] = array(
		'name' => __('Custom CSS', 'social-care'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'social-care'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Header Top News', 'social-care'),
		'desc' => __('header top news strip title', 'social-care'),
		'id' => 'headerinfo',
		'std' => 'News',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('header top news strip marquee', 'social-care'),
		'id' => 'headerinfomarquee',
		'std' => 'blandit iaculis ante. Nunc tempor feugiat risus',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Check to hide header news strip', 'social-care'),
		'id' => 'hidenewsstrip',
		'std' => '',
		'type' => 'checkbox');
					
		
	$options[] = array(
		'name' => __('Header Top Social Icons', 'social-care'),
		'desc' => __('Edit select social icons for header top', 'social-care'),
		'id' => 'headersocial',
		'std' => '
[social_area] 
[social icon="fab fa-facebook-f" link="#"] 
[social icon="fab fa-twitter" link="#"] 
[social icon="fab fa-google-plus-g" link="#"] 
[social icon="fab fa-linkedin-in" link="#"] 
[social icon="fas fa-rss" link="#"] 
[social icon="fab fa-youtube" link="#"]
[/social_area]',
		'type' => 'textarea');
		
	$options[] = array(		
		'desc' => __('Check to hide header social icons', 'social-care'),
		'id' => 'hidehdrsocialicons',
		'std' => '',
		'type' => 'checkbox');		
		

	$options[] = array(
		'name' => __('Header Contact Info', 'social-care'),
		'desc' => __('add header email address', 'social-care'),
		'id' => 'headerinfoemail',
		'std' => '<i class="fas fa-at"></i><span>EMAIL <br><a href="mailto:info@sitename.com">info@sitename.com</a></span>',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Header Phone Number', 'social-care'),
		'id' => 'headerinfophone',
		'std' => '<i class="fa-rotate-90 fa fa-phone"></i><span>CALL NOW <br>231 789 8520</span>',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Header Donation button', 'social-care'),
		'id' => 'headerinfobutton',
		'std' => '<a href="#" class="donatenow">Donate Now!</a>',
		'type' => 'textarea');			
		
	$options[] = array(
		'name' => __('Header Contact info ', 'social-care'),
		'desc' => __('Check to hide header contact info', 'social-care'),
		'id' => 'headtopstrip',
		'std' => '',
		'type' => 'checkbox');	
		
 	$options[] = array(
		'name' => __('Header Navigation Search', 'social-care'),
		'desc' => __('Check to hide header navigation in search', 'social-care'),
		'id' => 'headerseacrh',
		'std' => '',
		'type' => 'checkbox');	 
		
	// font family start 		
	$options[] = array(
		'name' => __('Font Faces', 'social-care'),
		'desc' => __('Select font for the body text', 'social-care'),
		'id' => 'bodyfontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the textual logo', 'social-care'),
		'id' => 'logofontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for the navigation text', 'social-care'),
		'id' => 'navfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font family for all heading tag.', 'social-care'),
		'id' => 'headfontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );
		
	$options[] = array(
		'desc' => __('Select font for Section title', 'social-care'),
		'id' => 'sectiontitlefontface',
		'type' => 'select',
		'std' => 'Assistant',
		'options' => $font_types );		
			
	$options[] = array(
		'desc' => __('Select font for Slide title', 'social-care'),
		'id' => 'slidetitlefontface',
		'type' => 'select',
		'std' => 'Roboto',
		'options' => $font_types );	
		
	$options[] = array(
		'desc' => __('Select font for Slide Description', 'social-care'),
		'id' => 'slidedesfontface',
		'type' => 'select',
		'std' => 'PT Sans',
		'options' => $font_types );	
		
	// font sizes start	
	$options[] = array(
		'name' => __('Font Sizes', 'social-care'),
		'desc' => __('Select font size for body text', 'social-care'),
		'id' => 'bodyfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for textual logo', 'social-care'),
		'id' => 'logofontsize',
		'type' => 'select',
		'std' => '41px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for navigation', 'social-care'),
		'id' => 'navfontsize',
		'type' => 'select',
		'std' => '15px',
		'options' => $font_sizes );	
		
	$options[] = array(
		'desc' => __('Select font size for section title', 'social-care'),
		'id' => 'sectitlesize',
		'type' => 'select',
		'std' => '38px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for footer title', 'social-care'),
		'id' => 'ftfontsize',
		'type' => 'select',
		'std' => '19px',
		'options' => $font_sizes );	

	$options[] = array(
		'desc' => __('Select h1 font size', 'social-care'),
		'id' => 'h1fontsize',
		'std' => '30px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h2 font size', 'social-care'),
		'id' => 'h2fontsize',
		'std' => '28px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h3 font size', 'social-care'),
		'id' => 'h3fontsize',
		'std' => '18px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h4 font size', 'social-care'),
		'id' => 'h4fontsize',
		'std' => '22px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h5 font size', 'social-care'),
		'id' => 'h5fontsize',
		'std' => '20px',
		'type' => 'select',
		'options' => $font_sizes);

	$options[] = array(
		'desc' => __('Select h6 font size', 'social-care'),
		'id' => 'h6fontsize',
		'std' => '14px',
		'type' => 'select',
		'options' => $font_sizes);


	// font colors start

	$options[] = array(
		'name' => __('Site Colors Scheme', 'social-care'),
		'desc' => __('Change the color scheme of hole site', 'social-care'),
		'id' => 'colorscheme',
		'std' => '#c1331b',
		'type' => 'color');
		
	$options[] = array(			
		'desc' => __('Select Second color of hover', 'social-care'),
		'id' => 'colorscheme_hover',
		'std' => '#8f2817',
		'type' => 'color');		
		
	$options[] = array(	
		'name' => __('Font Colors', 'social-care'),	
		'desc' => __('Select font color for the body text', 'social-care'),
		'id' => 'bodyfontcolor',
		'std' => '#373735',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for header top phone and email strip', 'social-care'),
		'id' => 'headertopfontcolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for logo', 'social-care'),
		'id' => 'logofontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for logo tagline', 'social-care'),
		'id' => 'logotaglinecolor',
		'std' => '#272727',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font color for header social icons', 'social-care'),
		'id' => 'socialfontcolor',
		'std' => '#8b929d',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for section title', 'social-care'),
		'id' => 'sectitlecolor',
		'std' => '#080808',
		'type' => 'color');			
	
	$options[] = array(
		'desc' => __('Select font color for navigation', 'social-care'),
		'id' => 'navfontcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for homepage top four services title', 'social-care'),
		'id' => 'hometopfourbxtitlecolor',
		'std' => '#1f1f1f',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for Current Projects title and description', 'social-care'),
		'id' => 'projectscolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for widget title', 'social-care'),
		'id' => 'wdgttitleccolor',
		'std' => '#444444',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer title', 'social-care'),
		'id' => 'foottitlecolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select font color for footer', 'social-care'),
		'id' => 'footdesccolor',
		'std' => '#ababab',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer right text (design by)', 'social-care'),
		'id' => 'designcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for links / anchor tags', 'social-care'),
		'id' => 'linkhovercolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for sidebar li a', 'social-care'),
		'id' => 'sidebarfontcolor',
		'std' => '#78797c',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font hover color for footer copyright links', 'social-care'),
		'id' => 'copylinkshover',
		'std' => '#ababab',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h1 font color', 'social-care'),
		'id' => 'h1fontcolor',
		'std' => '#272727',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select h2 font color', 'social-care'),
		'id' => 'h2fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h3 font color', 'social-care'),
		'id' => 'h3fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select h4 font color', 'social-care'),
		'id' => 'h4fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h5 font color', 'social-care'),
		'id' => 'h5fontcolor',
		'std' => '#272727',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select h6 font color', 'social-care'),
		'id' => 'h6fontcolor',
		'std' => '#272727',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer social icons', 'social-care'),
		'id' => 'footsocialcolor',
		'std' => '#646464',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for gallery filter ', 'social-care'),
		'id' => 'galleryfiltercolor',
		'std' => '#111111',
		'type' => 'color');			
		
	$options[] = array(
		'desc' => __('Select font color for photogallery title ', 'social-care'),
		'id' => 'gallerytitlecolorhv',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for client testimonilas description', 'social-care'),
		'id' => 'testimonialdescriptioncolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for sidebar widget box', 'social-care'),
		'id' => 'widgetboxfontcolor',
		'std' => '#6e6d6d',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for footer recent posts title', 'social-care'),
		'id' => 'footerpoststitlecolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font color for toggle menu on responsive', 'social-care'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	// Background start			
	$options[] = array(
		'name' => __('Background Colors', 'social-care'),		
		'desc' => __('Select background color for site header top strip', 'social-care'),
		'id' => 'headertopbgcolor',
		'std' => '#000000',
		'type' => 'color');
	
	$options[] = array(
		'desc' => __('Select background color for site header', 'social-care'),
		'id' => 'headerbgcolor',
		'std' => '#ffffff',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for current projects', 'social-care'),
		'id' => 'projectsbgcolor',
		'std' => '#000000',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for footer', 'social-care'),
		'id' => 'footerbgcolor',
		'std' => '#24272e',
		'type' => 'color');
		
	$options[] = array(
		'desc' => __('Select background color for footer first column', 'social-care'),
		'id' => 'footerfirstbgcolor',
		'std' => '#262a31',
		'type' => 'color');		
		
	$options[] = array(
		'desc' => __('Select background color for footer copyright', 'social-care'),
		'id' => 'copybgcolor',
		'std' => '#1e2025',
		'type' => 'color');	
		
		
	$options[] = array(
		'desc' => __('Select background color for client testimonials pager dots', 'social-care'),
		'id' => 'testidotsbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select background color for sidebar widget box', 'social-care'),
		'id' => 'widgetboxbgcolor',
		'std' => '#F0EFEF',
		'type' => 'color');	
					

	// Border colors			
	$options[] = array(	
		'name' => __('Border Colors', 'social-care'),		
		'desc' => __('Select border color for sidebar li a', 'social-care'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');	
		
	$options[] = array(			
		'desc' => __('Select border color for top navigation dropdown li', 'social-care'),
		'id' => 'navlibdcolor',
		'std' => '#8f2817',
		'type' => 'color');

	// Default Buttons		
	$options[] = array(
		'name' => __('Button Colors', 'social-care'),
		'desc' => __('Select background hover color for default button', 'social-care'),
		'id' => 'btnbghvcolor',
		'std' => '#555555',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select font color default button', 'social-care'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(
		'desc' => __('Select font hover color for default button', 'social-care'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');						

	// Slider Caption colors
	$options[] = array(	
		'name' => __('Slider Caption Colors', 'social-care'),				
		'desc' => __('Select font color for slider title', 'social-care'),
		'id' => 'slidetitlecolor',
		'std' => '#ffffff',
		'type' => 'color');			
		
	$options[] = array(		
		'desc' => __('Select font color for slider description', 'social-care'),
		'id' => 'slidedesccolor',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select font size for slider title', 'social-care'),
		'id' => 'slidetitlefontsize',
		'type' => 'select',
		'std' => '50px',
		'options' => $font_sizes );
		
	$options[] = array(
		'desc' => __('Select font size for slider description', 'social-care'),
		'id' => 'slidedescfontsize',
		'type' => 'select',
		'std' => '16px',
		'options' => $font_sizes );
		
	// Slider controls colors		
	$options[] = array(
		'name' => __('Slider controls Colors', 'social-care'),
		'desc' => __('Select background color for slider pager (dots)', 'social-care'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');		
		
	$options[] = array(
		'desc' => __('Select background color for slider caption ', 'social-care'),
		'id' => 'slidercaptionbg',
		'std' => '#080808',
		'type' => 'color');	
		
	$options[] = array(		
		'desc' => __('Select background opacity color for header slider caption', 'social-care'),
		'id' => 'captionopacity',
		'std' => '0.5',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,'0.1'=>0.1,'0.0'=>0.0,));		
		 
	$options[] = array(		
		'desc' => __('Change read more button text for latest blog post', 'social-care'),
		'id' => 'readmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change Show All Button text for photo gallery section', 'social-care'),
		'id' => 'galleryshowallbtn',
		'std' => 'Show All',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Change menu word on responsive view', 'social-care'),
		'id' => 'menuwordchange',
		'std' => 'Menu',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'social-care'),
		'desc' => __('Select layout. eg:ight-sidebar, left-sidebar, full-width', 'social-care'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );	
		
	$options[] = array(
		'name' => __('Team Single Layout', 'social-care'),
		'desc' => __('Select layout. eg:left,right,full', 'social-care'),
		'id' => 'teamsinglelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Team Single Right Sidebar', 'singleleft'=>'Team Single Left Sidebar', 'sitefull'=>'Team Single Full Width', 'nosidebar'=>'Team Single No Sidebar') );		
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'social-care'),
		'desc' => __('Select layout. eg:right-sidebar, left-sidebar, full-width', 'social-care'),
		'id' => 'woocommercelayout',
		'type' => 'select',
		'std' => 'woocommercesitefull',
		'options' => array('woocommerceright'=>'Woocommerce Right Sidebar', 'woocommerceleft'=>'Woocommerce Left Sidebar', 'woocommercesitefull'=>'Woocommerce Full Width') );	
		
	$options[] = array(	
		'name' => __('Testimonials Rotating Speed', 'social-care'),	
		'desc' => __('manage testimonials rotating speed.', 'social-care'),
		'id' => 'testimonialsrotatingspeed',
		'std' => '8000',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('True/False Auto play Testimonials.','social-care'),
		'id' => 'testimonialsautoplay',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'True', 'false'=>'False'));			
		

	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'social-care'),
		'type' => 'heading');	

	$options[] = array(	
		'desc' => __('Change custom heading text for page', 'social-care'),
		'id' => 'sectionservicestitle',
		'std' => 'Our Mission',
		'type' => 'text');		
	
	$options[] = array(	
		'desc' => __('Change custom heading text for sub title page', 'social-care'),
		'id' => 'sectionservicesubtitle',
		'std' => 'Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor. Sed lectus lacus, vestibulum at fermentum.',
		'type' => 'textarea');	
	
	$options[] = array(			
		'name' => __('Five box Our Mission Section', 'social-care'),
		'desc'	=> __('first Mission box for frontpage section','social-care'),
		'id' 	=> 'box1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first box.', 'social-care'),
		'id' => 'boximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Mission box for frontpage section','social-care'),
		'id' 	=> 'box2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second box.', 'social-care'),
		'id' => 'boximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Mission box for frontpage section','social-care'),
		'id' 	=> 'box3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third box.', 'social-care'),
		'id' => 'boximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	
	$options[] = array(	
		'desc'	=> __('Fourth Mission box for frontpage section','social-care'),
		'id' 	=> 'box4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth box.', 'social-care'),
		'id' => 'boximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
		
	$options[] = array(	
		'desc'	=> __('Fifth Mission box for frontpage section','social-care'),
		'id' 	=> 'box5',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fifth box.', 'social-care'),
		'id' => 'boximg5',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
		
	$options[] = array(	
		'desc'	=> __('Six Mission box for frontpage section','social-care'),
		'id' 	=> 'box6',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for six box.', 'social-care'),
		'id' => 'boximg6',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');		
	
	$options[] = array(			
			'desc'	=> __('Check to hide Our Mission five column section', 'social-care'),
			'id'	=> 'hidefourbxsec',
			'type'	=> 'checkbox',
			'std'	=> '');
			
			
	$options[] = array(
		'name' => __('Current Projects Section Title', 'social-care'),
		'desc' => __('Change custom heading text for page', 'social-care'),
		'id' => 'currentprojects',
		'std' => 'Current Projects',
		'type' => 'text');
	
	$options[] = array(
		'name' => __('Four box Current Projects Section', 'social-care'),
		'desc'	=> __('first Project box for frontpage section','social-care'),
		'id' 	=> 'projectbox1',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for first Project Box.', 'social-care'),
		'id' => 'projectboximg1',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Second Project Box for frontpage section','social-care'),
		'id' 	=> 'projectbox2',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for second Project Box.', 'social-care'),
		'id' => 'projectboximg2',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Third Project Box for frontpage section','social-care'),
		'id' 	=> 'projectbox3',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for third Project Box.', 'social-care'),
		'id' => 'projectboximg3',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	
	$options[] = array(	
		'desc'	=> __('Fourth Project Box for frontpage section','social-care'),
		'id' 	=> 'projectbox4',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for fourth Project Box.', 'social-care'),
		'id' => 'projectboximg4',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
		
	$options[] = array(		
		'desc' => __('Select excerpt length for Our Project page section', 'social-care'),
		'id' => 'projectlength',
		'std' => '15',
		'type' => 'text');
				
	$options[] = array(		
		'desc' => __('change read more button text for project section', 'social-care'),
		'id' => 'projectreadmore',
		'std' => 'Read More',
		'type' => 'text');
		
	$options[] = array(			
		'desc'	=> __('Check to hide Current Projects section', 'social-care'),
		'id'	=> 'hideprojectssec',
		'type'	=> 'checkbox',
		'std'	=> '');		
			
	$options[] = array(	
		'name' => __('Read About Our Charity Section', 'social-care'),
		'desc'	=> __('select page for Read About Our Charity','social-care'),
		'id' 	=> 'welcomebox',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('upload image for Read About Our Charity page', 'social-care'),
		'id' => 'welcomeimg',
		'class' => '',
		'std'	=> '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc' => __('Change custom heading text for About Our Charity page', 'social-care'),
		'id' => 'welcomeheadingtext',
		'std' => 'It’s a Big Charity Fund for Homeless Childs',
		'type' => 'textarea');	
		
	$options[] = array(		
		'desc' => __('Select excerpt length for About Our Charity page section', 'social-care'),
		'id' => 'welcomepagelength',
		'std' => '70',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('change get srarted button text for About Our Charity page section', 'social-care'),
		'id' => 'welcomepagebtn',
		'std' => 'DONATE NOW',
		'type' => 'text');		
		
	$options[] = array(			
		'desc'	=> __('Check to hide About Our Charity section', 'social-care'),
		'id'	=> 'hidewelcomesection',
		'type'	=> 'checkbox',
		'std'	=> '');	//wild safari zoo sectiom end			
	
	$options[] = array(
		'name' => __('Number of Sections', 'social-care'),
		'desc' => __('Select number of sections', 'social-care'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '13',
		'options' => array_combine(range(1,30), range(1,30)) );

	$numsecs = of_get_option( 'numsection', 13 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'social-care'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'social-care'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'social-care'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.', 'social-care'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'social-care'),
			'desc' => __('Select background color for section', 'social-care'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'social-care'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'social-care'),
			'desc' => __('Set class for this section.', 'social-care'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'social-care'),
			'desc'	=> __('Check to hide this section', 'social-care'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'social-care'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'social-care'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'social-care'),
		'desc' => __('Upload inner page banner for site', 'social-care'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/inner-banner.jpg",
		'type' => 'upload');
		
		
	$options[] = array(
		'name' => __('Custom Slider Shortcode Area For Home Page', 'social-care'),
		'desc' => __('Enter here your slider shortcode without php tag', 'social-care'),
		'id' => 'customslider',
		'std' => '',
		'type' => 'textarea');		
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'social-care'),
		'desc' => __('Select slider effect.','social-care'),
		'id' => 'slideefect',
		'std' => 'random',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'social-care'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'social-care'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'social-care'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','social-care'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','social-care'),
		'id' => 'slidepage',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','social-care'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));
		
		
	$options[] = array(
		'name' => __('Slider Image 1', 'social-care'),
		'desc' => __('First Slide', 'social-care'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'social-care'),
		'id' => 'slidetitle1',
		'std' => 'Our Community',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc1',
		'std' => 'Nunc sed lorem pretium, volutpat tortor id, adipiscing sem. Sed bibendum quis augue nec porta. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton1',
		'std' => 'DONATE NOW!',
		'type' => 'text');	

	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl1',
		'std' => '#link1',
		'type' => 'text');		
		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'social-care'),
		'desc' => __('Second Slide', 'social-care'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'social-care'),
		'id' => 'slidetitle2',
		'std' => 'Donate &amp; Help',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc2',
		'std' => 'Nunc commodo lacinia ipsum, scelerisque cursus libero ullamcorper sed. Praesent fermentum nisl ac neque tristique porttitor.',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton2',
		'std' => 'DONATE NOW!',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl2',
		'std' => '#link2',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 3', 'social-care'),
		'desc' => __('Third Slide', 'social-care'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 3', 'social-care'),
		'id' => 'slidetitle3',
		'std' => 'Give A Helping Hand',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc3',
		'std' => 'Nunc sed lorem pretium, volutpat tortor id, adipiscing sem. Sed bibendum quis augue nec porta. ',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton3',
		'std' => 'DONATE NOW!',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl3',
		'std' => '#link3',
		'type' => 'text');	
	
	$options[] = array(
		'name' => __('Slider Image 4', 'social-care'),
		'desc' => __('Third Slide', 'social-care'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'social-care'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text');				
	
	$options[] = array(
		'name' => __('Slider Image 5', 'social-care'),
		'desc' => __('Fifth Slide', 'social-care'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'social-care'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 6', 'social-care'),
		'desc' => __('Sixth Slide', 'social-care'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'social-care'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 7', 'social-care'),
		'desc' => __('Seventh Slide', 'social-care'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'social-care'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 8', 'social-care'),
		'desc' => __('Eighth Slide', 'social-care'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'social-care'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 9', 'social-care'),
		'desc' => __('Ninth Slide', 'social-care'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'social-care'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');			
		
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Image 10', 'social-care'),
		'desc' => __('Tenth Slide', 'social-care'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'social-care'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'social-care'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Read More Button Text', 'social-care'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');			
	
	$options[] = array(
		'desc' => __('Slide Url for Read More Button', 'social-care'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');
	

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'social-care'),
		'type' => 'heading');

		
	$options[] = array(
		'name' => __('Footer Layout', 'social-care'),
		'desc' => __('footer Select layout. eg:Column, 1, 2, 3 and 4', 'social-care'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );	
				
	$options[] = array(
		'name' => __('Footer Keep in touch Title', 'social-care'),
		'desc' => __('Keep in touch title for footer', 'social-care'),
		'id' => 'abouttitle',
		'std' => 'Keep in touch',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Keep in touch Description', 'social-care'),
		'desc' => __('Keep in touch description for footer', 'social-care'),
		'id' => 'aboutusdescription',
		'std' => '<p>Donec ac ligula elit. Vestibulum veliipsumy auctor quis arcu sed.</p><p>Phone: 1.800.555.6789 <br /> Email: support@sitename.com <br /> Web: cruise.com</p>
<form class="newsletter-form"><input placeholder="Email Address" type="email"><i class="fas fa-caret-right"></i><input value="" type="submit"></form>
		',
		'type' => 'editor');
		
	$options[] = array(
		'name' => __('Footer Quick link title', 'social-care'),
		'desc' => __('Add footer quick link title here', 'social-care'),
		'id' => 'quicklinktitle',
		'std' => 'Quick Links',
		'type' => 'text');	
		
	
	$options[] = array(
		'name' => __('Footer Donations Title', 'social-care'),
		'desc' => __('Footer donations title.', 'social-care'),
		'id' => 'ourservicestitle',
		'std' => 'Donations',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Footer Donations Title', 'social-care'),
		'desc' => __('Footer donations title.', 'social-care'),
		'id' => 'donationarea',
		'std' => '<ul>
<li><a href="#">How to Donate</a><li>
<li><a href="#">Donation List</a><li>
<li><a href="#">Recent Causes</a><li>
<li><a href="#">FAQs</a><li>
</ul>
[button align="left" name="DONATE NOW" link="#" target=""]',
		'type' => 'editor');		
			
	$options[] = array(
		'name' => __('Latest Posts', 'social-care'),
		'desc' => __('Add latest post title here', 'social-care'),
		'id' => 'letestpoststitle',
		'std' => 'Latest Posts',
		'type' => 'text');	
		
		
	$options[] = array(
		'desc' => __('Footer Copyright text', 'social-care'),
		'id' => 'copytext',
		'std' => '&copy; 2019 Social Care. All Rights Reserved',
		'type' => 'textarea',);
		
$options[] = array(
		'desc' => __('Footer Design By text', 'social-care'),
		'id' => 'ftlink',
		'std' => 'Design By <a href="'.esc_url('https://www.gracethemes.com/').'" target="_blank">Grace Themes</a>',
		'type' => 'textarea',);
		
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'social-care'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);
		
	//Contact Page
	$options[] = array(
		'name' => __('Contact Us Page', 'social-care'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Contact page details', 'social-care'),
		'desc' => __('Add contact page details here', 'social-care'),
		'id' => 'contactpagedetails',
		'std' => '[column_content type="one_half"]
<h2 class="section_title">Contact Details</h2>
[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]
[contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]
[contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]
[contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]
[contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	

<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d412505.271238499!2d-115.45519531659504!3d36.12522845626667!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80beb782a4f57dd1%3A0x3accd5e6d5b379a3!2sLas+Vegas%2C+NV%2C+USA!5e0!3m2!1sen!2sin!4v1538305726773" width="500" height="225" frameborder="0" style="border:0" allowfullscreen></iframe>

[/column_content]

[column_content type="one_half_last"]
<h2 class="section_title">Send Us A Message</h2>
[contactform to_email="test@example.com" title="Contact Form"] 
[/column_content]',
		'type' => 'editor');
		
		

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'social-care'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Counter', 'social-care'),
		'desc' => __('
		[counter bgcolor="#6aa601" image="image path with https" value="2000" title="Clients"]<br />
		[counter bgcolor="#71ae05" image="image path with https" value="2240" title="Safaries"]<br />
		[counter bgcolor="#76b40b" image="image path with https" value="280" title="Volunteers "]<br />
		[counter bgcolor="#7bb811" image="image path with https" value="1000" title="Reviews"]', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Video image', 'social-care'),
		'desc' => __('[custom-video youtubeid="5ThQLGbt8bM" image="image path with https cover photo"]', 'social-care'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Wild Safari Services', 'social-care'),
		'desc' => __('[services_box animation="" title="Mobility" description=inter here short description" image="image path with https:"]<br />
		[services_box animation="" title="Mobility" description=inter here short description" image="image path with https:"]<br />
		[services_box animation="" title="Mobility" description=inter here short description" image="image path with https:"]<br />
		[services_box animation="" title="Mobility" description=inter here short description" image="image path with https:"]
		', 'social-care'),
		'type' => 'info');
	
	$options[] = array(
		'name' => __('Latest News', 'social-care'),
		'desc' => __('[latest-news showposts="5" date="show" comment="show" author="show"]', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Our Team', 'social-care'),
		'desc' => __('[our-team show="4"]', 'social-care'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Testimonials Rotator', 'social-care'),
		'desc' => __('[testimonials]', 'social-care'),
		'type' => 'info');
		
	
	$options[] = array(
		'name' => __('Photo Gallery', 'social-care'),
		'desc' => __('[photogallery filter="true" show="8"]', 'social-care'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Our Skills', 'social-care'),
		'desc' => __('[skill title="Adobe Photoshop" percent="90" bgcolor="#c1331b"]<br />
		[skill title="WordPress" percent="60" bgcolor="#c1331b"]<br />
		[skill title="Photography" percent="70" bgcolor="#c1331b"]<br />
		[skill title="SEO" percent="50" bgcolor="#c1331b"]', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Contact Details', 'social-care'),
		'desc' => __('[contact-details icon="fas fa-map-marker-alt" title="Address" info="10 Nr. Street Road, Ohio, USA"]<br />
	 [contact-details icon="fas fa-phone-square" title="Contact No." info="+91 345-677-554"]<br />
	 [contact-details icon="fas fa-envelope" title="Email Address" info="info@sitename.com"]<br />
	 [contact-details icon="fab fa-skype" title="Skype Id" info="mysiteweb"]<br />
	 [contact-details icon="far fa-clock" title="Working Days" info="monday-friday 10.00AM-6.00PM"]	', 'social-care'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Contact Form', 'social-care'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'social-care'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Custom Button', 'social-care'),
		'desc' => __('[button align="center" name="Read More" link="#" target=""]', 'social-care'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Search Form', 'social-care'),
		'desc' => __('[searchform]', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: https://fontawesome.com/icons/)', 'social-care'),
		'desc' => __('[social_area]<br />
			[social icon="fab fa-facebook-f" link="#"]<br />
			[social icon="fab fa-twitter" link="#"]<br />
			[social icon="fab fa-linkedin-in" link="#"]<br />
			[social icon="fab fa-google-plus-g" link="#"]<br />
		[/social_area]', 'social-care'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('2 Column Content', 'social-care'),
		'desc' => __('<pre>
[column_content type="one_half"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_half_last"]
	Column 2 Content goes here...
[/column_content]
</pre>', 'social-care'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('3 Column Content', 'social-care'),
		'desc' => __('<pre>
[column_content type="one_third"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_third"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_third_last"]
	Column 3 Content goes here...
[/column_content]
</pre>', 'social-care'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('4 Column Content', 'social-care'),
		'desc' => __('<pre>
[column_content type="one_fourth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fourth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fourth_last"]
	Column 4 Content goes here...
[/column_content]
</pre>', 'social-care'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('5 Column Content', 'social-care'),
		'desc' => __('<pre>
[column_content type="one_fifth"]
	Column 1 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 2 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 3 Content goes here...
[/column_content]

[column_content type="one_fifth"]
	Column 4 Content goes here...
[/column_content]

[column_content type="one_fifth_last"]
	Column 5 Content goes here...
[/column_content]
</pre>', 'social-care'),
		'type' => 'info');	

	$options[] = array(
		'name' => __('Tabs', 'social-care'),
		'desc' => __('<pre>
[tabs]
	[tab title="TAB TITLE 1"]
		TAB CONTENT 1
	[/tab]
	[tab title="TAB TITLE 2"]
		TAB CONTENT 2
	[/tab]
	[tab title="TAB TITLE 3"]
		TAB CONTENT 3
	[/tab]
[/tabs]
</pre>', 'social-care'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Toggle Content', 'social-care'),
		'desc' => __('<pre>
[toggle_content title="Toggle Title 1"]
	Toggle content 1...
[/toggle_content]
[toggle_content title="Toggle Title 2"]
	Toggle content 2...
[/toggle_content]
[toggle_content title="Toggle Title 3"]
	Toggle content 3...
[/toggle_content]
</pre>', 'social-care'),
		'type' => 'info');


	$options[] = array(
		'name' => __('Accordion Content', 'social-care'),
		'desc' => __('<pre>
[accordion]
	[accordion_content title="ACCORDION TITLE 1"]
		ACCORDION CONTENT 1
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 2"]
		ACCORDION CONTENT 2
	[/accordion_content]
	[accordion_content title="ACCORDION TITLE 3"]
		ACCORDION CONTENT 3
	[/accordion_content]
[/accordion]
</pre>', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Clear', 'social-care'),
		'desc' => __('<pre>
[clear]
</pre>', 'social-care'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Blank Height (space)', 'social-care'),
		'desc' => __('<pre>
[space height="20px"]
</pre>', 'social-care'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('HR / Horizontal separation line', 'social-care'),
		'desc' => __('<pre>
[hr] or &lt;hr&gt;
</pre>', 'social-care'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Subtitle', 'social-care'),
		'desc' => __('[subtitle color="#111111" size="15px" align="left" description="short descriptio here"]', 'social-care'),
		'type' => 'info');	
	
	$options[] = array(
		'name' => __('Scroll to Top', 'social-care'),
		'desc' => __('[back-to-top] 
', 'social-care'),
		'type' => 'info');

	return $options;
}